com.independentsoft.exchange

## Enum ResponseCode

- java.lang.Object
- - java.lang.Enum<ResponseCode>
  - - com.independentsoft.exchange.ResponseCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ResponseCode>

      public enum ResponseCode
      extends java.lang.Enum<ResponseCode>

  Provides status information about the request.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR_ACCESS_DENIED` This error occurs when the calling account does not have the rights to perform the requested action.
    `ERROR_ACCESS_MODE_SPECIFIED` This error is for internal use only.
    `ERROR_ACCOUNT_DISABLED` This error occurs when the account in question has been disabled.
    `ERROR_ADD_DELEGATES_FAILED` This error occurs when a list with added delegates cannot be saved.
    `ERROR_ADDRESS_SPACE_NOT_FOUND` This error occurs when the address space record, or Domain Name System (DNS) domain name, for cross-forest availability could not be found in the Active Directory database.
    `ERROR_ADOPERATION` This error occurs when the operation failed because of communication problems with Active Directory Domain Services (AD DS).
    `ERROR_ADSESSION_FILTER` This error is returned when a ResolveNames operation request specifies a name that is not valid.
    `ERROR_ADUNAVAILABLE` This error occurs when AD DS is unavailable.
    `ERROR_AFFECTED_TASK_OCCURRENCES_REQUIRED` This error indicates that the AffectedTaskOccurrences attribute was not specified.
    `ERROR_APPLY_CONVERSATION_ACTION_FAILED` This member was introduced in Exchange Server 2010 Service Pack 1 (SP1) and applies to versions of Exchange Server starting with Exchange Server 2010 SP1 and Exchange Online.
    `ERROR_ARCHIVE_FOLDER_PATH_CREATION` Applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.
    `ERROR_ARCHIVE_MAILBOX_NOT_ENABLED` Applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.
    `ERROR_ARCHIVE_MAILBOX_SEARCH_FAILED`
    `ERROR_ARCHIVE_MAILBOX_SERVICE_DISCOVERY_FAILED` Applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.
    `ERROR_ATTACHMENT_NEST_LEVEL_LIMIT_EXCEEDED` Specifies that an attempt was made to create an item with more than 10 nested attachments.
    `ERROR_ATTACHMENT_SIZE_LIMIT_EXCEEDED` The CreateAttachment element returns this error if an attempt is made to create an attachment with size exceeding Int32.MaxValue, in bytes.
    `ERROR_AUTO_DISCOVER_FAILED` This error indicates that Exchange Web Services tried to determine the location of a cross-forest computer that is running Exchange server that has the Client Access server role installed by using the Autodiscover service, but the call to the Autodiscover service failed.
    `ERROR_AVAILABILITY_CONFIG_NOT_FOUND` This error indicates that the availability configuration information for the local forest is missing from AD DS.
    `ERROR_BATCH_PROCESSING_STOPPED` This error indicates that an exception occurred while processing an item and that exception is likely to occur for the items that follow.
    `ERROR_CALENDAR_CANNOT_MOVE_OR_COPY_OCCURRENCE` This error occurs when an attempt is made to move or copy an occurrence of a recurring calendar item.
    `ERROR_CALENDAR_CANNOT_UPDATE_DELETED_ITEM` This error occurs when an attempt is made to move or copy an occurrence of a recurring calendar item.
    `ERROR_CALENDAR_CANNOT_USE_ID_FOR_OCCURRENCE_ID` This error occurs when the UpdateItem, GetItem, DeleteItem, MoveItem, CopyItem, or SendItem operation is called and the ID that was specified is not an occurrence ID of any recurring calendar item.
    `ERROR_CALENDAR_CANNOT_USE_ID_FOR_RECURRING_MASTER_ID` This error occurs when the UpdateItem, GetItem, DeleteItem, MoveItem, CopyItem, or SendItem operation is called and the ID that was specified is not an ID of any recurring master item.
    `ERROR_CALENDAR_DURATION_IS_TOO_LONG` This error occurs during a CreateItem or UpdateItem operation when a calendar item duration is longer than the maximum allowed, which is currently 5 years.
    `ERROR_CALENDAR_END_DATE_IS_EARLIER_THAN_START_DATE` This error occurs when a calendar End time is set to the same time or after the Start time.
    `ERROR_CALENDAR_FOLDER_IS_INVALID_FOR_CALENDAR_VIEW` This error occurs when the specified folder for a FindItem operation with a CalendarView element is not of calendar folder type.
    `ERROR_CALENDAR_INVALID_ATTRIBUTE_VALUE` This response code is not used.
    `ERROR_CALENDAR_INVALID_DAY_FOR_TIME_CHANGE_PATTERN` This error occurs during a CreateItem or UpdateItem operation when invalid values of Day, WeekendDay, and Weekday are used to define the time change pattern.
    `ERROR_CALENDAR_INVALID_DAY_FOR_WEEKLY_RECURRENCE` This error occurs during a CreateItem or UpdateItem operation when invalid values of Day, WeekDay, and WeekendDay are used to specify the weekly recurrence.
    `ERROR_CALENDAR_INVALID_PROPERTY_STATE` This error occurs when the state of a calendar item recurrence binary large object (BLOB) in the Exchange store is invalid.
    `ERROR_CALENDAR_INVALID_PROPERTY_VALUE` This response code is not used.
    `ERROR_CALENDAR_INVALID_RECURRENCE` This error occurs when the specified recurrence cannot be created.
    `ERROR_CALENDAR_INVALID_TIME_ZONE` This error occurs when an invalid time zone is encountered.
    `ERROR_CALENDAR_IS_CANCELLED_FOR_ACCEPT` Indicates that a calendar item has been canceled.
    `ERROR_CALENDAR_IS_CANCELLED_FOR_DECLINE` Indicates that a calendar item has been canceled.
    `ERROR_CALENDAR_IS_CANCELLED_FOR_REMOVE` Indicates that a calendar item has been canceled.
    `ERROR_CALENDAR_IS_CANCELLED_FOR_TENTATIVE` Indicates that a calendar item has been canceled.
    `ERROR_CALENDAR_IS_DELEGATED_FOR_ACCEPT` This error indicates that the AcceptItem element is invalid for a calendar item or meeting request in a delegated scenario.
    `ERROR_CALENDAR_IS_DELEGATED_FOR_DECLINE` This error indicates that the DeclineItem element is invalid for a calendar item or meeting request in a delegated scenario.
    `ERROR_CALENDAR_IS_DELEGATED_FOR_REMOVE` This error indicates that the RemoveItem element is invalid for a meeting cancellation in a delegated scenario.
    `ERROR_CALENDAR_IS_DELEGATED_FOR_TENTATIVE` This error indicates that the TentativelyAcceptItem element is invalid for a calendar item or meeting request in a delegated scenario.
    `ERROR_CALENDAR_IS_NOT_ORGANIZER` This error indicates that the operation (currently CancelItem) on the calendar item is not valid for an attendee.
    `ERROR_CALENDAR_IS_ORGANIZER_FOR_ACCEPT` This error indicates that AcceptItem is invalid for the organizer�s calendar item.
    `ERROR_CALENDAR_IS_ORGANIZER_FOR_DECLINE` This error indicates that DeclineItem is invalid for the organizer�s calendar item.
    `ERROR_CALENDAR_IS_ORGANIZER_FOR_REMOVE` This error indicates that RemoveItem is invalid for the organizer�s calendar item.
    `ERROR_CALENDAR_IS_ORGANIZER_FOR_TENTATIVE` This error indicates that TentativelyAcceptItem is invalid for the organizer�s calendar item.
    `ERROR_CALENDAR_MEETING_REQUEST_IS_OUT_OF_DATE` This error indicates that a meeting request is out-of-date and cannot be updated.
    `ERROR_CALENDAR_OCCURRENCE_INDEX_IS_OUT_OF_RECURRENCE_RANGE` This error indicates that the occurrence index does not point to an occurrence within the current recurrence.
    `ERROR_CALENDAR_OCCURRENCE_IS_DELETED_FROM_RECURRENCE` This error indicates that any operation on a deleted occurrence (addressed via recurring master ID and occurrence index) is invalid.
    `ERROR_CALENDAR_OUT_OF_RANGE` This error is reported on Create/Update calendar item or task recurrence properties when the property value is out of range.
    `ERROR_CALENDAR_VIEW_RANGE_TOO_BIG` This error occurs when Start to End range for the CalendarView element is more than the maximum allowed, currently 2 years.
    `ERROR_CALLER_IS_INVALID_AD_ACCOUNT` Indicates that the requesting account is not a valid account in the directory database.
    `ERROR_CANNOT_ARCHIVE_CALENDAR_CONTACT_TASK_FOLDER_EXCEPTION` Items in Calendar, Contacts, or Tasks folders cannot be archived.
    `ERROR_CANNOT_ARCHIVE_ITEMS_IN_ARCHIVE_MAILBOX` Items in archive mailboxes cannot be archived.
    `ERROR_CANNOT_ARCHIVE_ITEMS_IN_PUBLIC_FOLDERS` Items in public folders cannot be archived.
    `ERROR_CANNOT_CREATE_CALENDAR_ITEM_IN_NON_CALENDAR_FOLDER` This error occurs when a calendar item is being created and the SavedItemFolderId attribute refers to a non-calendar folder.
    `ERROR_CANNOT_CREATE_CONTACT_IN_NON_CONTACT_FOLDER` This error occurs when a contact is being created and the SavedItemFolderId attribute refers to a non-contact folder.
    `ERROR_CANNOT_CREATE_POST_ITEM_IN_NON_MAIL_FOLDER` This error indicates that a post item cannot be created in a folder other than a mail folder, such as Calendar, Contact, Tasks, Notes, and so on.
    `ERROR_CANNOT_CREATE_TASK_IN_NON_TASK_FOLDER` This error occurs when a task is being created and the SavedItemFolderId attribute refers to a non-task folder.
    `ERROR_CANNOT_DELETE_OBJECT` This error occurs when the item or folder to delete cannot be deleted.
    `ERROR_CANNOT_DELETE_TASK_OCCURRENCE` The DeleteItem Operation returns this error when it fails to delete the current occurrence of a recurring task.
    `ERROR_CANNOT_DISABLE_MANDATORY_EXTENSION` The end users cannot disable mandatory extensions.
    `ERROR_CANNOT_EMPTY_FOLDER` Indicates that a folder cannot be emptied.
    `ERROR_CANNOT_GET_EXTERNAL_ECP_URL` Cannot get the external Exchange Control Panel URL.
    `ERROR_CANNOT_GET_SOURCE_FOLDER_PATH` Unable to read the folder path for the source folder while archiving items.
    `ERROR_CANNOT_OPEN_FILE_ATTACHMENT` The GetAttachment operation returns this error if it cannot retrieve the body of a file attachment.
    `ERROR_CANNOT_SET_CALENDAR_PERMISSION_ON_NON_CALENDAR_FOLDER` This error indicates that the caller tried to set calendar permissions on a non-calendar folder.
    `ERROR_CANNOT_SET_NON_CALENDAR_PERMISSION_ON_CALENDAR_FOLDER` This error indicates that the caller tried to set non-calendar permissions on a calendar folder.
    `ERROR_CANNOT_SET_PERMISSION_UNKNOWN_ENTRIES` This error indicates that you cannot set unknown permissions in a permissions set.
    `ERROR_CANNOT_SPECIFY_SEARCH_FOLDER_AS_SOURCE_FOLDER` Cannot specify search folders as source folders while archiving items.
    `ERROR_CANNOT_USE_FOLDER_ID_FOR_ITEM_ID` This error occurs when a request that requires an item identifier is given a folder identifier.
    `ERROR_CANNOT_USE_ITEM_ID_FOR_FOLDER_ID` This error occurs when a request that requires a folder identifier is given an item identifier.
    `ERROR_CHANGE_KEY_REQUIRED` This response code has been replaced by ErrorChangeKeyRequiredForWriteOperations.
    `ERROR_CHANGE_KEY_REQUIRED_FOR_WRITE_OPERATIONS` This error is returned when the change key for an item is missing or stale.
    `ERROR_CLIENT_DISCONNECTED` Indicates that the client is disconnected.
    `ERROR_CLIENT_INTENT_INVALID_STATE_DEFINITION`
    `ERROR_CLIENT_INTENT_NO_FOUND`
    `ERROR_CONNECTION_FAILED` This error occurs when Exchange Web Services cannot connect to the mailbox.
    `ERROR_CONTAINS_FILTER_WRONG_TYPE` Indicates that the property inspected for a Contains filter is not a string type.
    `ERROR_CONTENT_CONVERSION_FAILED` The GetItem operation returns this error when Exchange Web Services is unable to retrieve the MIME content for the item requested.
    `ERROR_CONTENT_INDEXING_NOT_ENABLED`
    `ERROR_CORRUPT_DATA` This error occurs when the data is corrupted and cannot be processed.
    `ERROR_CREATE_ITEM_ACCESS_DENIED` This error occurs when the caller does not have permission to create the item.
    `ERROR_CREATE_MANAGED_FOLDER_PARTIAL_COMPLETION` This error occurs when one or more of the managed folders that were specified in the CreateManagedFolder operation request failed to be created.
    `ERROR_CREATE_SUBFOLDER_ACCESS_DENIED` This error occurs when the calling account does not have the permissions required to create the subfolder.
    `ERROR_CROSS_MAILBOX_MOVE_COPY` This error occurs when an attempt is made to move an item or folder from one mailbox to another.
    `ERROR_CROSS_SITE_REQUEST` Indicates that the request is not allowed because the Client Access server that should service the request is in a different site.
    `ERROR_DATA_SIZE_LIMIT_EXCEEDED` This error can occur in the following scenarios: 1.An attempt is made to access or write a property on an item and the property value is too large.
    `ERROR_DATA_SOURCE_OPERATION` This error occurs when the underlying data provider fails to complete the operation.
    `ERROR_DELEGATE_ALREADY_EXISTS` This error occurs in an AddDelegate operation when the specified user already exists in the list of delegates.
    `ERROR_DELEGATE_CANNOT_ADD_OWNER` This error occurs in an AddDelegate operation when the specified user to be added is the owner of the mailbox.
    `ERROR_DELEGATE_MISSING_CONFIGURATION` This error occurs in a GetDelegate operation when either there is no delegate information on the local FreeBusy message or no Active Directory public delegate (no ?public delegate? or no "Send On Behalf" entry in AD DS).
    `ERROR_DELEGATE_NO_USER` This error occurs in a GetDelegate operation when either there is no delegate information on the local FreeBusy message or no Active Directory public delegate (no ?public delegate? or no "Send On Behalf" entry in AD DS).
    `ERROR_DELEGATE_VALIDATION_FAILED` This error occurs in a GetDelegate operation when either there is no delegate information on the local FreeBusy message or no Active Directory public delegate (no ?public delegate? or no "Send On Behalf" entry in AD DS).
    `ERROR_DELETE_DISTINGUISHED_FOLDER` This error occurs when an attempt is made to delete a distinguished folder.
    `ERROR_DELETE_ITEMS_FAILED` This response code is not used.
    `ERROR_DELETE_UNIFIED_MESSAGING_PROMPT_FAILED`
    `ERROR_DISCOVERY_SEARCHES_DISABLED` Discovery searches are disabled.
    `ERROR_DISTINGUISHED_USER_NOT_SUPPORTED` This error indicates that a distinguished user ID is not valid for the operation.
    `ERROR_DISTRIBUTION_LIST_MEMBER_NOT_EXIST` Indicates that a request distribution list member does not exist in the distribution list.
    `ERROR_DUPLICATE_INPUT_FOLDER_NAMES` This error occurs when duplicate folder names are specified within the FolderNames element of the CreateManagedFolder operation request.
    `ERROR_DUPLICATE_LEGACY_DISTINGUISHED_NAME` ErrorDuplicateLegacyDistinguishedName field is applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.
    `ERROR_DUPLICATE_SOAP_HEADER` Indicates that there are duplicate SOAP headers.
    `ERROR_DUPLICATE_USER_IDS_SPECIFIED` This error indicates that a duplicate user ID has been found in a permission set, either Default or Anonymous are set more than once, or there are duplicate SIDs or recipients.
    `ERROR_EMAIL_ADDRESS_MISMATCH` This error occurs when a request attempts to create/update the search parameters of a search folder.
    `ERROR_EVENT_NOT_FOUND` This error occurs when the event that is associated with a watermark is deleted before the event is returned.
    `ERROR_EXCEEDED_CONNECTION_COUNT` Indicates that there are more concurrent requests against the server than allowed by a user's policy.
    `ERROR_EXCEEDED_FIND_COUNT_LIMIT` Indicates that a search operation call has exceeded the total number of items that can be returned.
    `ERROR_EXCEEDED_SUBSCRIPTION_COUNT` Indicates that a user's throttling policy maximum subscription count has been exceeded.
    `ERROR_EXPIRED_SUBSCRIPTION` This error -iIndicates that there are more concurrent requests against the server than are allowed by a user's policy.
    `ERROR_EXTENSION_NOT_FOUND` Cannot find the extension with the specified identifier.
    `ERROR_FOLDER_CORRUPT` This error occurs when the folder is corrupted and cannot be saved.
    `ERROR_FOLDER_EXISTS` This error occurs when an attempt is made to create a folder that has the same name as another folder in the same parent.
    `ERROR_FOLDER_NOT_FOUND` This error indicates that the folder ID that was specified does not correspond to a valid folder, or that the delegate does not have permission to access the folder.
    `ERROR_FOLDER_PROPERT_REQUEST_FAILED` This error indicates that the requested property could not be retrieved.
    `ERROR_FOLDER_SAVE` This error indicates that the folder could not be created or updated because of an invalid state.
    `ERROR_FOLDER_SAVE_FAILED` This error indicates that the folder could not be created or updated because of an invalid state.
    `ERROR_FOLDER_SAVE_PROPERTY_ERROR` This error indicates that the folder could not be created or updated because of invalid property values.
    `ERROR_FREE_BUSY_DL_LIMIT_REACHED` Indicates that the maximum group member count has been reached for obtaining free/busy information for a distribution list.
    `ERROR_FREE_BUSY_GENERATION_FAILED` This error is returned when free/busy information cannot be retrieved because of an intervening failure.
    `ERROR_GET_SERVER_SECURITY_DESCRIPTOR_FAILED` This response code is not used.
    `ERROR_IM_CONTACT_LIMIT_REACHED` The maximum number of contacts to block/add for instant messaging (IM) has been reached.
    `ERROR_IM_GROUP_DISPLAY_NAME_ALREADY_EXISTS` The IM group display name already exists.
    `ERROR_IM_GROUP_LIMIT_REACHED` The maximum number of distribution group members to send an IM has been reached.
    `ERROR_IMPERSONATE_USER_DENIED` The error is returned in the server-to-server authorization case for Exchange Impersonation when the caller does not have the proper rights to impersonate the specific user in question.
    `ERROR_IMPERSONATION_DENIED` This error is returned in the server-to-server authorization for Exchange Impersonation when the caller does not have the proper rights to impersonate through the Client Access server that they are making the request against.
    `ERROR_IMPERSONATION_FAILED` This error indicates that there was an unexpected error when an attempt was made to perform server-to-server authentication.
    `ERROR_INBOX_RULES_VALIDATION_ERROR` This member was introduced in Exchange Server 2010 Service Pack 1 (SP1) and applies to versions of Exchange Server starting with Exchange Server 2010 SP1 and Exchange Online.
    `ERROR_INCORRECT_SCHEMA_VERSION` This error indicates that the request was valid for the current Exchange Server version but was invalid for the request server version that was specified.
    `ERROR_INCORRECT_UPDATE_PROPERTY_COUNT` This error indicates that each change description in the UpdateItem or UpdateFolder elements must list only one property to update.
    `ERROR_INDIVIDUAL_MAILBOX_LIMIT_REACHED` This error occurs when the request contains too many attendees to resolve.
    `ERROR_INSUFFICIENT_RESOURCES` This error occurs when the mailbox server is overloaded.
    `ERROR_INTERNAL_SERVER_ERROR` This error indicates that Exchange Web Services encountered an error that it could not recover from, and a more specific response code that is associated with the error that occurred does not exist.
    `ERROR_INTERNAL_SERVER_TRANSIENT_ERROR` This error indicates that an internal server error occurred and that you should try your request again later.
    `ERROR_INVALID_ACCESS_LEVEL` This error indicates that the level of access that the caller has on the free/busy data is invalid.
    `ERROR_INVALID_ARGUMENT` Indicates an error caused by all invalid arguments passed to the GetMessageTrackingReport operation.
    `ERROR_INVALID_ATTACHMENT_ID` This error is returned by the GetAttachment Operation or the DeleteAttachment Operation when an attachment that corresponds to the specified ID is not found.
    `ERROR_INVALID_ATTACHMENT_SUBFILTER` This error occurs when you try to bind to an existing search folder by using a complex attachment table restriction.
    `ERROR_INVALID_ATTACHMENT_SUBFILTER_TEXT_FILTER` This error occurs when you try to bind to an existing search folder by using a complex attachment table restriction.
    `ERROR_INVALID_AUTHORIZATION_CONTEXT` This error indicates that the authorization procedure for the requestor failed.
    `ERROR_INVALID_CHANGE_KEY` This error occurs when a consumer passes in a folder or item identifier with a change key that cannot be parsed.
    `ERROR_INVALID_CLIENT_ACCESS_TOKEN_REQUEST` Invalid client access token request.
    `ERROR_INVALID_CLIENT_SECURITY_CONTEXT` This error indicates that there was an internal error when an attempt was made to resolve the identity of the caller.
    `ERROR_INVALID_COMPLETE_DATE` This error is returned when an attempt is made to set the CompleteDate element value of a task to a time in the future.
    `ERROR_INVALID_CONTACT_EMAIL_ADDRESS` Indicates that an invalid e-mail address was provided for a contact.
    `ERROR_INVALID_CONTACT_EMAIL_INDEX` Indicates that an invalid e-mail index value was provided for an e-mail entry.
    `ERROR_INVALID_CROSS_FOREST_CREDENTIALS` This error occurs when the credentials that are used to proxy a request to a different directory service forest fail authentication.
    `ERROR_INVALID_DELEGATE_PERMISSION` This error indicates that the specified folder permissions are invalid.
    `ERROR_INVALID_DELEGATE_USER_ID` This error indicates that the specified delegate user ID is invalid.
    `ERROR_INVALID_EXCHANGE_IMPERSONATION_HEADER_DATA` This error occurs during Exchange Impersonation when a caller does not specify a UPN, an e-mail address, or a user SID.
    `ERROR_INVALID_EXCLUDES_RESTRICTION` This error occurs when the bitmask that was passed into an Excludes element restriction is unable to be parsed.
    `ERROR_INVALID_EXPRESSION_TYPE_FOR_SUB_FILTER` This response code is not used.
    `ERROR_INVALID_EXTENDED_PROPERTY` This error occurs when the following events take place: The caller tries to use an extended property that is not supported by Exchange Web Services.
    `ERROR_INVALID_EXTENDED_PROPERTY_VALUE` This error occurs when the value section of an extended property does not match the type of the property; for example, setting an extended property that has PropertyType="String" to an array of integers will result in this error.
    `ERROR_INVALID_EXTERNAL_SHARING_INITIATOR` Indicates that the sharing invitation sender did not create the sharing invitation metadata.
    `ERROR_INVALID_EXTERNAL_SHARING_SUBSCRIBER` Indicates that a sharing message is not intended for the caller.
    `ERROR_INVALID_FEDERATED_ORGANIZATION_ID` Indicates that the requestor's organization federation objects are not properly configured.
    `ERROR_INVALID_FOLDER_ID` This error occurs when the folder ID is corrupt.
    `ERROR_INVALID_FOLDER_TYPE_FOR_OPERATION` This error indicates that the specified folder type is invalid for the current operation.
    `ERROR_INVALID_FRACTIONAL_PAGING_PARAMETERS` This error occurs in fractional paging when the user has specified one of the following: A numerator that is greater than the denominator A numerator that is less than zero A denominator that is less than or equal to zero
    `ERROR_INVALID_FREE_BUSY_VIEW_TYPE` This error occurs when the GetUserAvailability Operation is called with a FreeBusyViewType of None.
    `ERROR_INVALID_GET_SHARING_FOLDER_REQUEST` Indicates that the DataType and ShareFolderId elements are both present in a request.
    `ERROR_INVALID_ID` This error indicates that the ID and/or change key is malformed.
    `ERROR_INVALID_ID_EMPTY` This error occurs when the caller specifies an Id attribute that is empty.
    `ERROR_INVALID_ID_MALFORMED` This error occurs when the caller specifies an Id attribute that is malformed.
    `ERROR_INVALID_ID_MALFORMED_EWS_LEGACY_ID_FORMAT` This error indicates that a folder or item ID that is using the Exchange 2007 format was specified for a request with a version of Exchange 2007 SP1 or later.
    `ERROR_INVALID_ID_MONIKER_TOO_LONG` This error occurs when the caller specifies an Id attribute that is too long.
    `ERROR_INVALID_ID_NOT_AN_ITEM_ATTACHMENT_ID` This error is returned whenever an ID that is not an item attachment ID is passed to a Web service method that expects an attachment ID.
    `ERROR_INVALID_ID_RETURNED_BY_RESOLVE_NAMES` This error occurs when a contact in your mailbox is corrupt.
    `ERROR_INVALID_ID_STORE_OBJECT_ID_TOO_LONG` This error occurs when the caller specifies an Id attribute that is too long.
    `ERROR_INVALID_ID_TOO_MANY_ATTACHMENT_LEVELS` This error is returned when the attachment hierarchy on an item exceeds the maximum of 255 levels deep.
    `ERROR_INVALID_ID_XML` This response code is not used.
    `ERROR_INVALID_IM_CONTACT_ID`
    `ERROR_INVALID_IM_DISTRIBUTION_GROUP_SMTP_ADDRESS`
    `ERROR_INVALID_IM_GROUP_ID`
    `ERROR_INVALID_INDEXED_PAGING_PARAMETERS` This error occurs if the offset for indexed paging is negative.
    `ERROR_INVALID_INTERNET_HEADER_CHILD_NODES` This response code is not used.
    `ERROR_INVALID_ITEM_FOR_OPERATION_ACCEPT_ITEM` This error occurs when an attempt is made to use an AcceptItem operation for an item type other than a meeting request or a calendar item, or when an attempt is made to accept a calendar item occurrence that is in the Deleted Items folder.
    `ERROR_INVALID_ITEM_FOR_OPERATION_ARCHIVE_ITEM` Invalid item type for an ArchiveItem action.
    `ERROR_INVALID_ITEM_FOR_OPERATION_CANCEL_ITEM` This error occurs when an attempt is made to use a CancelItem operation on an item type other than a calendar item.
    `ERROR_INVALID_ITEM_FOR_OPERATION_CREATE_ITEM` This error is returned from a CreateItem Operation if the request contains an unsupported item type.
    `ERROR_INVALID_ITEM_FOR_OPERATION_CREATE_ITEM_ATTACHMENT` This error is returned when an attempt is made to create an item attachment of an unsupported type.
    `ERROR_INVALID_ITEM_FOR_OPERATION_DECLINE_ITEM` This error occurs when an attempt is made to use a DeclineItem operation for an item type other than a meeting request or a calendar item, or when an attempt is made to decline a calendar item occurrence that is in the Deleted Items folder.
    `ERROR_INVALID_ITEM_FOR_OPERATION_EXPAND_DL` This error indicates that the ExpandDL Operation is valid only for private distribution lists.
    `ERROR_INVALID_ITEM_FOR_OPERATION_REMOVE_ITEM` This error is returned from a RemoveItem operation if the request specifies an item that is not a meeting cancellation item.
    `ERROR_INVALID_ITEM_FOR_OPERATION_SEND_ITEM` This error is returned from a SendItem Operation if the request specifies an item that is not a message item.
    `ERROR_INVALID_ITEM_FOR_OPERATION_TENTATIVE` This error occurs when an attempt is made to use TentativelyAcceptItem for an item type other than a meeting request or a calendar item, or when an attempt is made to tentatively accept a calendar item occurrence that is in the Deleted Items folder.
    `ERROR_INVALID_LOGON_TYPE` Indicates that an invalid logon type was used.
    `ERROR_INVALID_MAILBOX` Indicates that the CreateItem or UpdateItem operation failed while creating or updating a personal distribution list.
    `ERROR_INVALID_MANAGED_FOLDER_PROPERTY` This error occurs when the structure of the managed folder is corrupted and cannot be rendered.
    `ERROR_INVALID_MANAGED_FOLDER_QUOTA` This error occurs when the quota that is set on the managed folder is less than zero, which indicates a corrupted managed folder.
    `ERROR_INVALID_MANAGED_FOLDER_SIZE` This error occurs when the size that is set on the managed folder is less than zero, which indicates a corrupted managed folder.
    `ERROR_INVALID_MANAGEMENT_ROLE_HEADER`
    `ERROR_INVALID_MERGED_FREE_BUSY_INTERVAL` This error occurs when the supplied merged free/busy internal value is invalid.
    `ERROR_INVALID_NAME_FOR_NAME_RESOLUTION` This error occurs when the name is invalid for the ResolveNames Operation.
    `ERROR_INVALID_NETWORK_SERVICE_CONTEXT` This error indicates an error in the Network Service account on the Client Access server.
    `ERROR_INVALID_OOF_PARAMETER` This response code is not used.
    `ERROR_INVALID_OPERATION` This is a general error that is used when the requested operation is invalid.
    `ERROR_INVALID_ORGANIZATION_RELATIONSHIP_FOR_FREE_BUSY` Indicates that a caller requested free/busy information for a user in another organization but the organizational relationship does not have free/busy enabled.
    `ERROR_INVALID_PAGING_MAX_ROWS` This error occurs when a consumer passes in a zero or a negative value for the maximum rows to be returned.
    `ERROR_INVALID_PARENT_FOLDER` This error occurs when a consumer passes in an invalid parent folder for an operation.
    `ERROR_INVALID_PERCENT_COMPLETE_VALUE` This error is returned when an attempt is made to set a task completion percentage to an invalid value.
    `ERROR_INVALID_PERMISSION_SETTINGS` This error indicates that the permission level is inconsistent with the permission settings.
    `ERROR_INVALID_PHONE_CALL_ID` Indicates that the caller identifier is not valid.
    `ERROR_INVALID_PHONE_NUMBER` Indicates that the phone number is not correct or does not fit the dial plan rules.
    `ERROR_INVALID_PHOTO_SIZE`
    `ERROR_INVALID_PROPERTY_APPEND` This error occurs when the property that you are trying to append to does not support appending.
    `ERROR_INVALID_PROPERTY_DELETE` This error occurs if the delete operation is specified in an UpdateItem Operation or UpdateFolder Operation call for a property that does not support the delete operation.
    `ERROR_INVALID_PROPERTY_FOR_EXISTS` This error occurs if the consumer passes in one of the flag properties in an Exists filter.
    `ERROR_INVALID_PROPERTY_FOR_OPERATION` This error occurs when the property that you are trying to manipulate does not support the operation that is being performed on it.
    `ERROR_INVALID_PROPERTY_REQUEST` This error occurs if a property that is specified in the request is not available for the item type.
    `ERROR_INVALID_PROPERTY_SET` This error indicates that the property that you are trying to manipulate does not support the operation that is being performed on it.
    `ERROR_INVALID_PROPERTY_UPDATE_SENT_MESSAGE` This error occurs during an UpdateItem Operation when a client tries to update certain properties of a message that has already been sent.
    `ERROR_INVALID_PROXY_SECURITY_CONTEXT` This response code is not used.
    `ERROR_INVALID_PULL_SUBSCRIPTION_ID` This error occurs if you call the GetEvents Operation or the Unsubscribe Operation by using a push subscription ID.
    `ERROR_INVALID_PUSH_SUBSCRIPTION_URL` This error is returned by the Subscribe Operation when it creates a ?push? subscription and indicates that the URL that is included in the request is invalid.
    `ERROR_INVALID_RECIPIENT_SUBFILTER` This error indicates that the search folder has a recipient table filter that Exchange Web Services cannot represent.
    `ERROR_INVALID_RECIPIENT_SUBFILTER_COMPARISON` This error indicates that the search folder has a recipient table filter that Exchange Web Services cannot represent.
    `ERROR_INVALID_RECIPIENT_SUBFILTER_ORDER` This error indicates that the search folder has a recipient table filter that Exchange Web Services cannot represent.
    `ERROR_INVALID_RECIPIENT_SUBFILTER_TEXT_FILTER` This error indicates that the search folder has a recipient table filter that Exchange Web Services cannot represent.
    `ERROR_INVALID_RECIPIENTS` This error indicates that the recipient collection on your message or the attendee collection on your calendar item is invalid.
    `ERROR_INVALID_REFERENCE_ITEM` This error is returned from the CreateItem Operation for Forward and Reply response objects in the following scenarios: The referenced item identifier is not a Message, a CalendarItem, or a descendant of a Message or CalendarItem.
    `ERROR_INVALID_REQUEST` This error occurs when the SOAP request has a SOAP action header, but nothing in the SOAP body.
    `ERROR_INVALID_RESTRICTION` This response code is not used.
    `ERROR_INVALID_RETENTION_TAG_ID_GUID` Invalid retention tag identifer GUID.
    `ERROR_INVALID_RETENTION_TAG_INHERITANCE` An implicit policy tag was applied to the target item or folder.
    `ERROR_INVALID_RETENTION_TAG_INVISIBLE` An invisible retention policy was applied to the item or folder.
    `ERROR_INVALID_RETENTION_TAG_NONE` There are no retention tags.
    `ERROR_INVALID_RETENTION_TAG_TYPE_MISMATCH` A policy tag of the wrong type was applied to an item or folder.
    `ERROR_INVALID_ROUTING_TYPE` This error occurs if the routing type that is passed for an EmailAddressType is invalid.
    `ERROR_INVALID_SCHEDULED_OOF_DURATION` This error occurs if the specified duration end time is not greater than the start time, or if the end time does not occur in the future.
    `ERROR_INVALID_SECURITY_DESCRIPTOR` This error indicates that the Exchange security descriptor on the Calendar folder in the store is corrupted.
    `ERROR_INVALID_SEND_ITEM_SAVE_SETTINGS` This error occurs during an attempt to send an item where the SavedItemFolderId is specified in the request but the SaveItemToFolder property is set to false.
    `ERROR_INVALID_SERIALIZED_ACCESS_TOKEN` This error indicates that the token that was passed in the header is malformed, does not refer to a valid account in the directory, or is missing the primary group ConnectingSID.
    `ERROR_INVALID_SERVER_VERSION` This error indicates that an invalid request server version was specified in the request.
    `ERROR_INVALID_SHARING_DATA` Indicates that the sharing metadata is not valid.
    `ERROR_INVALID_SHARING_MESSAGE` Indicates that the sharing message is not valid.
    `ERROR_INVALID_SID` This error occurs when an invalid SID is passed in a request.
    `ERROR_INVALID_SIP_URI` Indicates that the SIP name, dial plan, or the phone number are invalid SIP URI.
    `ERROR_INVALID_SMTP_ADDRESS` This error occurs when the SMTP address cannot be parsed.
    `ERROR_INVALID_SUBFILTER_TYPE` This response code is not used.
    `ERROR_INVALID_SUBFILTER_TYPE_NOT_ATTENDEE_TYPE` This response code is not used.
    `ERROR_INVALID_SUBFILTER_TYPE_NOT_RECIPIENT_TYPE` This response code is not used.
    `ERROR_INVALID_SUBSCRIPTION` This error indicates that the subscription is no longer valid.
    `ERROR_INVALID_SUBSCRIPTION_REQUEST` This error indicates that the subscribe request included multiple public folder IDs.
    `ERROR_INVALID_SYNC_STATE_DATA` This error is returned by SyncFolderItems or SyncFolderHierarchy if the SyncState data that is passed is invalid.
    `ERROR_INVALID_TIME_INTERVAL` This error indicates that the specified time interval is invalid.
    `ERROR_INVALID_USER_INFO` This error indicates that an internally inconsistent UserId was specified for a permissions operation.
    `ERROR_INVALID_USER_OOF_SETTINGS` This error indicates that the user Out of Office (OOF) settings are invalid because of a missing internal or external reply.
    `ERROR_INVALID_USER_PRINCIPAL_NAME` This error occurs during Exchange Impersonation.
    `ERROR_INVALID_USER_SID` This error occurs when an invalid SID is passed in a request.
    `ERROR_INVALID_USER_SID_MISSING_UPN` This response code is not used.
    `ERROR_INVALID_VALUE_FOR_PROPERTY` This error indicates that the comparison value in the restriction is invalid for the property you are comparing against.
    `ERROR_INVALID_WATERMARK` This error is caused by an invalid watermark.
    `ERROR_IP_GATEWAY_NO_FOUND` Indicates that a valid VoIP gateway is not available.
    `ERROR_IRRESOLVABLE_CONFLICT` This error indicates that conflict resolution was unable to resolve changes for the properties.
    `ERROR_ITEM_CORRUPT` This error indicates that the state of the object is corrupted and cannot be retrieved.
    `ERROR_ITEM_NOT_FOUND` This error occurs when the item was not found or you do not have permission to access the item.
    `ERROR_ITEM_PROPERTY_REQUEST_FAILED` This error occurs if a property request on an item fails.
    `ERROR_ITEM_SAVE` This error occurs when attempts to save the item or folder fail.
    `ERROR_ITEM_SAVE_PROPERTY_ERROR` This error occurs when attempts to save the item or folder fail because of invalid property values.
    `ERROR_LEGACY_MAILBOX_FREE_BUSY_VIEW_TYPE_NOT_MERGED` This response code is not used.
    `ERROR_LOCAL_SERVER_OBJECT_NOT_FOUND` This response code is not used.
    `ERROR_LOCATION_SERVICES_DISABLED`
    `ERROR_LOCATION_SERVICES_INVALID_REQUEST`
    `ERROR_LOCATION_SERVICES_REQUEST_FAILED`
    `ERROR_LOCATION_SERVICES_REQUEST_TIMED_OUT`
    `ERROR_LOGON_AS_NETWORK_SERVICE_FAILED` This error indicates that the Availability service was unable to log on as the network service to proxy requests to the appropriate sites or forests.
    `ERROR_MAIL_RECIPIENT_NOT_FOUND` This error occurs if the MailboxData information cannot be mapped to a valid mailbox account.
    `ERROR_MAIL_TIPS_DISABLED` Indicates that mail tips are disabled.
    `ERROR_MAILBOX_CONFIGURATION` This error indicates that the mailbox information in AD DS is configured incorrectly.
    `ERROR_MAILBOX_DATA_ARRAY_EMPTY` This error indicates that the MailboxDataArray property in the request is empty.
    `ERROR_MAILBOX_DATA_ARRAY_TOO_BIG` This error occurs when more than 100 entries are supplied in a MailboxDataArray.
    `ERROR_MAILBOX_FAILOVER` Indicates that an attempt to access a mailbox failed because the mailbox is in a failover process.
    `ERROR_MAILBOX_HOLD_NOT_FOUND` The referenced mailbox hold is not found.
    `ERROR_MAILBOX_LOGON_FAILED` This error occurs when the connection to the mailbox to get the calendar view information failed.
    `ERROR_MAILBOX_MOVE_IN_PROGRESS` This error indicates that the mailbox is being moved to a different mailbox store or server.
    `ERROR_MAILBOX_SCOPE_NOT_ALLOWED_WITHOUT_QUERY_STRING`
    `ERROR_MAILBOX_STORE_UNAVAILABLE` This error indicates that one of the following error conditions occurred: The mailbox store is corrupt.
    `ERROR_MANAGED_FOLDER_ALREADY_EXISTS` This error occurs if the managed folder that you are trying to create already exists in a mailbox.
    `ERROR_MANAGED_FOLDER_NOT_FOUND` This error occurs when the folder name that was specified in the request does not map to a managed folder definition in AD DS.
    `ERROR_MANAGED_FOLDERS_ROOT_FAILURE` This error indicates that the managed folders root was deleted from the mailbox or that a folder exists in the same parent folder that has the name of the managed folder root.
    `ERROR_MEETING_SUGGESTION_GENERATION_FAILED` This error indicates that the suggestions engine encountered a problem when it was trying to generate the suggestions.
    `ERROR_MESSAGE_DISPOSITION_REQUIRED` This error occurs if the MessageDisposition attribute is not set.
    `ERROR_MESSAGE_SIZE_EXCEEDED` This error indicates that the message that you are trying to send exceeds the allowed limits.
    `ERROR_MESSAGE_TRACKING_NO_SUCH_DOMAIN` Indicates that the specified domain cannot be found.
    `ERROR_MESSAGE_TRACKING_PERMANENT_ERROR` Indicates that the message tracking service cannot track the message.
    `ERROR_MESSAGE_TRACKING_TRANSIENT_ERROR` Indicates that the message tracking service is either down or busy.
    `ERROR_MIME_CONTENT_CONVERSION_FAILED` This error occurs when the MIME content is not a valid iCal for a CreateItem Operation.
    `ERROR_MIME_CONTENT_INVALID` This error occurs when the MIME content is invalid.
    `ERROR_MIME_CONTENT_INVALID_BASE64_STRING` This error occurs when the MIME content in the request is not a valid base 64 string.
    `ERROR_MISSED_NOTIFICATION_EVENTS` This member was introduced in Exchange Server 2010 Service Pack 1 (SP1) and applies to versions of Exchange Server starting with Exchange Server 2010 SP1 and Exchange Online.
    `ERROR_MISSING_ARGUMENT` This error indicates that a required argument was missing from the request.
    `ERROR_MISSING_EMAIL_ADDRESS` This error indicates that you specified a distinguished folder ID in the request, but the account that made the request does not have a mailbox on the system.
    `ERROR_MISSING_EMAIL_ADDRESS_FOR_MANAGED_FOLDER` This error indicates that you specified a distinguished folder ID in the request, but the account that made the request does not have a mailbox on the system.
    `ERROR_MISSING_INFORMATION_EMAIL_ADDRESS` This error occurs if the EmailAddress element is missing.
    `ERROR_MISSING_INFORMATION_REFERENCE_ITEM_ID` This error occurs if the ReferenceItemId is missing.
    `ERROR_MISSING_INFORMATION_SHARING_FOLDER_ID`
    `ERROR_MISSING_ITEM_FOR_CREATE_ITEM_ATTACHMENT` This error is returned when an attempt is made to not include the item element in the ItemAttachment element of a CreateAttachment Operation request.
    `ERROR_MISSING_MANAGED_FOLDER_ID` This error occurs when the policy IDs property, property tag 0x6732, for the folder is missing.
    `ERROR_MISSING_RECIPIENTS` This error indicates that you tried to send an item without including recipients.
    `ERROR_MISSING_USER_ID_INFORMATION` This error indicates that a UserId has not been fully specified in a permissions set.
    `ERROR_MORE_THAN_ONE_ACCESS_MODE_SPECIFIED` This error indicates that you have specified more than one ExchangeImpersonation property value within a request.
    `ERROR_MOVE_COPY_FAILED` This error indicates that the move or copy operation failed.
    `ERROR_MOVE_DISTINGUISHED_FOLDER` This error occurs if you try to move a distinguished folder.
    `ERROR_MULTI_LEGACY_MAILBOX_ACCESS` A request attempted to access multiple mailbox servers.
    `ERROR_NAME_RESOLUTION_MULTIPLE_RESULTS` This error occurs if the ResolveNames Operation returns more than one result or the ambiguous name that you specified matches more than one object in the directory.
    `ERROR_NAME_RESOLUTION_NO_MAILBOX` This error indicates that the caller does not have a mailbox on the system.
    `ERROR_NAME_RESOLUTION_NO_RESULTS` This error indicates that the ResolveNames Operation returns no results.
    `ERROR_NEW_EVENT_STREAM_CONNECTION_OPENED` This member was introduced in Exchange Server 2010 Service Pack 1 (SP1) and applies to versions of Exchange Server starting with Exchange Server 2010 SP1 and Exchange Online.
    `ERROR_NO_CALENDAR` This error occurs if there is no Calendar folder for the mailbox.
    `ERROR_NO_DESTINATION_CASDUE_TO_KERBEROS_REQUIREMENTS` This error indicates that the request referred to a mailbox in another Active Directory site, but no Client Access servers in the destination site were configured for Windows Authentication, and therefore the request could not be proxied.
    `ERROR_NO_DESTINATION_CASDUE_TO_SSLREQUIREMENTS` This error indicates that the request referred to a mailbox in another Active Directory site, but no Client Access servers in the destination site were configured for SSL connections, and therefore the request could not be proxied.
    `ERROR_NO_DESTINATION_CASDUE_TO_VERSION_MISMATCH` This error indicates that the request referred to a mailbox in another Active Directory site, but no Client Access servers in the destination site were of an acceptable product version to receive the request, and therefore the request could not be proxied.
    `ERROR_NO_FOLDER_CLASS_OVERRIDE` This error occurs if you set the FolderClass property when you are creating an item other than a generic folder.
    `ERROR_NO_FREE_BUSY_ACCESS` This error indicates that the caller does not have free/busy viewing rights on the Calendar folder in question.
    `ERROR_NO_PROPERTY_TAG_FOR_CUSTOM_PROPERTIES` This error indicates that MAPI properties in the custom range, 0x8000 and greater, cannot be referenced by property tags.
    `ERROR_NO_PUBLIC_FOLDER_REPLICA_AVAILABLE` This response code is not used.
    `ERROR_NO_PUBLIC_FOLDER_SERVER_AVAILABLE` Indicates that no public folder server was available to handle the request.
    `ERROR_NO_RESPONDING_CASIN_DESTINATION_SITE` This error indicates that the request referred to a mailbox in another Active Directory site, but none of the Client Access servers in that site responded, and therefore the request could not be proxied.
    `ERROR_NO_SPEECH_DETECTED`
    `ERROR_NON_EXISTENT_MAILBOX` This error occurs in the following scenarios: The e-mail address is empty in CreateManagedFolder.
    `ERROR_NON_PRIMARY_SMTP_ADDRESS` This error occurs when a caller passes in a non-primary SMTP address.
    `ERROR_NOT_ALLOWED_EXTERNAL_SHARING_BY_POLICY` Indicates that the caller attempted to grant permissions in its calendar or contacts folder to a user in another organization but the attempt failed.
    `ERROR_NOT_DELEGATE` This error indicates that the user is not a delegate for the mailbox.
    `ERROR_NOT_ENOUGH_MEMORY` This error indicates that the operation could not be completed because of insufficient memory.
    `ERROR_NOT_SUPPORTED_SHARING_MESSAGE` Indicates that the sharing message is not supported.
    `ERROR_OBJECT_TYPE_CHANGED` This error occurs if the object type changed.
    `ERROR_OCCURRENCE_CROSSING_BOUNDARY` This error occurs when the Start or End time of an occurrence is updated so that the occurrence is scheduled to happen earlier or later than the corresponding previous or next occurrence.
    `ERROR_OCCURRENCE_TIME_SPAN_TOO_BIG` This error indicates that the time allotment for a given occurrence overlaps with another occurrence of the same recurring item.
    `ERROR_OPERATION_NOT_ALLOWED_WITH_PUBLIC_FOLDER_ROOT` This error indicates that the current operation is not valid for the public folder root.
    `ERROR_ORGANIZATIONAL_NOT_FEDERATED` Indicates that the requester's organization is not federated, so the requester cannot create sharing messages to send to an external user or cannot accept sharing messages received from an external user.
    `ERROR_OUTLOOK_RULE_BLOB_EXISTS` This member was introduced in Exchange Server 2010 Service Pack 1 (SP1) and applies to versions of Exchange Server starting with Exchange Server 2010 SP1 and Exchange Online.
    `ERROR_PARENT_FOLDER_ID_REQUIRED` This response code is not used.
    `ERROR_PARENT_FOLDER_NOT_FOUND` This error occurs in the CreateFolder Operation when the parent folder is not found.
    `ERROR_PASSWORD_CHANGE_REQUIRED` This error indicates that you must change your password before you can access this mailbox.
    `ERROR_PASSWORD_EXPIRED` This error indicates that the password has expired.
    `ERROR_PERMISSION_NOT_ALLOWED_BY_POLICY` Indicates that the requester attempted to grant permissions in its calendar or contacts folder to an external user, but the sharing policy assigned to the requester indicates that the requested permission level is higher is than what the sharing policy allows.
    `ERROR_PHONE_NUMBER_NOT_DIALABLE` Indicates that the phone number was not in the correct phone form.
    `ERROR_PROMPT_PUBLISHING_OPERATION_FAILED`
    `ERROR_PROPERTY_UPDATE` This error indicates that the update failed because of invalid property values.
    `ERROR_PROPERTY_VALIDATION_FAILURE` This response code is not used.
    `ERROR_PROXIED_SUBSCRIPTION_CALL_FAILURE` This error indicates that the request referred to a subscription that exists on another Client Access server, but an attempt to proxy the request to that Client Access server failed.
    `ERROR_PROXY_CALL_FAILED` This response code is not used.
    `ERROR_PROXY_GROUP_SID_LIMIT_EXCEEDED` This error indicates that the request referred to a mailbox in another Active Directory site, and the original caller is a member of more than 3,000 groups.
    `ERROR_PROXY_REQUEST_NOT_ALLOWED` This error indicates that the request that Exchange Web Services sent to another Client Access server when trying to fulfill a GetUserAvailability request was invalid.
    `ERROR_PROXY_REQUEST_PROCESSING_FAILED` This error indicates that Exchange Web Services tried to proxy an availability request to another Client Access server for fulfillment, but the request failed.
    `ERROR_PROXY_TOKEN_EXPIRED` This response code is not used.
    `ERROR_PUBLIC_FOLDER_MAILBOX_DISCOVERY_FAILED`
    `ERROR_PUBLIC_FOLDER_OPERATION_FAILED`
    `ERROR_PUBLIC_FOLDER_REQUEST_PROCESSING_FAILED` This error occurs when the recipient that was passed to the GetUserAvailability Operation is located on a computer that is running a version of Exchange Server that is earlier than Exchange 2007, and the request to retrieve free/busy information for the recipient from the public folder server failed.
    `ERROR_PUBLIC_FOLDER_SERVER_NOT_FOUND` This error occurs when the recipient that was passed to the GetUserAvailability Operation is located on a computer that is running a version of Exchange Server that is earlier than Exchange 2007, and the request to retrieve free/busy information for the recipient from the public folder server failed because the organizational unit did not have an associated public folder server.
    `ERROR_PUBLIC_FOLDER_SYNC_EXCEPTION`
    `ERROR_QUERY_FILTER_TOO_LONG` This error indicates that the search folder restriction may be valid, but it is not supported by EWS.
    `ERROR_QUOTA_EXCEEDED` This error occurs when the mailbox quota is exceeded.
    `ERROR_READ_EVENTS_FAILED` This error is returned by the GetEvents Operation or push notifications when a failure occurs while retrieving event information.
    `ERROR_READ_RECEIPT_NOT_PENDING` This error is returned by the CreateItem Operation if an attempt was made to suppress a read receipt when the message sender did not request a read receipt on the message or if the message is in the Junk E-mail folder.
    `ERROR_RECIPIENT_NOT_FOUND`
    `ERROR_RECOGNIZER_NOT_INSTALLED`
    `ERROR_RECURRENCE_END_DATE_TOO_BIG` This error occurs when the end date for the recurrence is after 9/1/4500.
    `ERROR_RECURRENCE_HAS_NO_OCCURRENCE` This error occurs when the specified recurrence does not have any occurrence instances in the specified range.
    `ERROR_REMOVE_DELEGATES_FAILED` This error indicates that the delegate list failed to be saved after delegates were removed.
    `ERROR_REQUEST_ABORTED` This response code is not used.
    `ERROR_REQUEST_STREAM_TOO_BIG` This error occurs when the request stream is larger than 400 KB.
    `ERROR_REQUIRED_PROPERTY_MISSING` This error is returned when a required property is missing in a CreateAttachment Operation request.
    `ERROR_RESOLVE_NAMES_INVALID_FOLDER_TYPE` This error indicates that the caller has specified a folder that is not a contacts folder to the ResolveNames Operation.
    `ERROR_RESOLVE_NAMES_ONLY_ONE_CONTACTS_FOLDER_ALLOWED` This error indicates that the caller has specified more than one contacts folder to the ResolveNames Operation.
    `ERROR_RESPONSE_SCHEMA_VALIDATION` This response code is not used.
    `ERROR_RESTRICTION_TOO_COMPLEX` This error occurs when the restriction cannot be evaluated by Exchange Web Services.
    `ERROR_RESTRICTION_TOO_LONG` This error occurs if the restriction contains more than 255 nodes.
    `ERROR_RESULT_SET_TOO_BIG` This error indicates that the number of calendar entries for a given recipient exceeds the allowed limit of 1000.
    `ERROR_RULES_OVER_QUOTA` This member was introduced in Exchange Server 2010 Service Pack 1 (SP1) and applies to versions of Exchange Server starting with Exchange Server 2010 SP1 and Exchange Online.
    `ERROR_SAVED_ITEM_FOLDER_NOT_FOUND` This error occurs when the SavedItemFolderId is not found.
    `ERROR_SCHEMA_VALIDATION` This error occurs when the request cannot be validated against the schema.
    `ERROR_SEARCH_FOLDER_NOT_INITIALIZED` This error indicates that the search folder was created, but the search criteria were never set on the folder.
    `ERROR_SEARCH_QUERY_HAS_TOO_MANY_KEYWORDS` The associated mailbox search query has too many keywords.
    `ERROR_SEARCH_TOO_MANY_MAILBOXES` The maximum number of mailboxes allowed in a search query has been exceeded.
    `ERROR_SEND_AS_DENIED` This error occurs when both of the following conditions occur: A user has been granted CanActAsOwner permissions but is not granted delegate rights on the principal?s mailbox.
    `ERROR_SEND_MEETING_CANCELLATIONS_REQUIRED` This error is returned by the DeleteItem Operation if the SendMeetingCancellations attribute is missing from the request and the item to delete is a calendar item.
    `ERROR_SEND_MEETING_INVITATIONS_OR_CANCELLATIONS_REQUIRED` This error is returned by the UpdateItem Operation if the SendMeetingInvitationsOrCancellations attribute is missing from the request and the item to update is a calendar item.
    `ERROR_SEND_MEETING_INVITATIONS_REQUIRED` This error is returned by the CreateItem Operation if the SendMeetingInvitations attribute is missing from the request and the item to create is a calendar item.
    `ERROR_SENT_MEETING_REQUEST_UPDATE` This error indicates that after the organizer sends a meeting request, the request cannot be updated.
    `ERROR_SENT_TASK_REQUEST_UPDATE` This error indicates that after the task initiator sends a task request, that request cannot be updated.
    `ERROR_SERVER_BUSY` This error occurs when the server is busy.
    `ERROR_SERVICE_DISCOVERY_FAILED` This error indicates that Exchange Web Services tried to proxy a user availability request to the appropriate forest for the recipient, but it could not determine where to send the request because of a service discovery failure.
    `ERROR_SHARING_NO_EXTERNAL_EWS_AVAILABLE` Indicates that the external URL property has not been set in the Active Directory directory service database.
    `ERROR_SHARING_SYNCHRONIZATION_FAILED` Indicates that an attempt at synchronizing a sharing folder failed.
    `ERROR_SPEECH_GRAMMAR_ERROR`
    `ERROR_STALE_OBJECT` This error occurs in an UpdateItem Operation or a SendItem Operation when the change key is not up-to-date or was not supplied.
    `ERROR_SUBMISSION_QUOTA_EXCEEDED` Indicates that a user cannot immediately send more request because the submission quota has been reached.
    `ERROR_SUBSCRIPTION_ACCESS_DENIED` This error occurs when you try to access a subscription by using an account that did not create that subscription.
    `ERROR_SUBSCRIPTION_DELEGATE_ACCESS_NOT_SUPPORTED` This error indicates that you cannot create a subscription if you are not the owner or do not have owner access to the mailbox.
    `ERROR_SUBSCRIPTION_NOT_FOUND` This error occurs if the subscription that corresponds to the specified SubscriptionId is not found.
    `ERROR_SUBSCRIPTION_UNSUBSCRIBED` Indicates that the client is not subscribed to the subscription.
    `ERROR_SYNC_FOLDER_NOT_FOUND` This error is returned by the SyncFolderItems Operation if the parent folder that is specified cannot be found.
    `ERROR_TEAM_MAILBOX_ACTIVE_TO_PENDING_DELETE` A site mailbox has not been closed prior to setting its TeamMailboxLifecycleState enumeration value to PendingDelete.
    `ERROR_TEAM_MAILBOX_ERROR_UNKNOWN` The site mailbox error is unknown.
    `ERROR_TEAM_MAILBOX_FAILED_SENDING_NOTIFICATIONS` The site mailbox failed to send notifications.
    `ERROR_TEAM_MAILBOX_NOT_AUTHORIZED_OWNER` The associated action can be done only by an authorized owner of the site mailbox.
    `ERROR_TEAM_MAILBOX_NOT_FOUND` The site mailbox was not found.
    `ERROR_TEAM_MAILBOX_NOT_LINKED_TO_SHARE_POINT` The site mailbox is not linked to an online team portal.
    `ERROR_TEAM_MAILBOX_URL_VALIDATION_FAILED` The site mailbox URL validation failed.
    `ERROR_TIME_INTERVAL_TOO_BIG` This error indicates that the time window that was specified is larger than the allowed limit.
    `ERROR_TIMEOUT_EXPIRED` This error occurs when there is not enough time to complete the processing of the request.
    `ERROR_TO_FOLDER_NOT_FOUND` This error indicates that the destination folder does not exist.
    `ERROR_TOKEN_SERIALIZATION_DENIED` This error occurs if the caller tries to do a Token serialization request but does not have the ms-Exch-EPI-TokenSerialization right on the Client Access server.
    `ERROR_UM_SERVER_UNAVAILABLE`
    `ERROR_UNABLE_TO_GET_USER_OOF_SETTINGS` This response code is not used.
    `ERROR_UNABLE_TO_REMOVE_IM_CONTACT_FROM_GROUP`
    `ERROR_UNIFIED_MESSAGING_DIAL_PLAN_NOT_FOUND` Indicates that a user's dial plan is not available.
    `ERROR_UNIFIED_MESSAGING_PROMPT_NOT_FOUND`
    `ERROR_UNIFIED_MESSAGING_REPORT_DATA_NOT_FOUND`
    `ERROR_UNIFIED_MESSAGING_REQUEST_FAILED` Indicates that the user could not be found.
    `ERROR_UNIFIED_MESSAGING_SERVER_NOT_FOUND` Indicates that a valid server for the dial plan can be found to handle the request.
    `ERROR_UNSUPPORTED_CULTURE` This error occurs when you try to set the Culture property to a value that is not parsable by the System.Globalization.CultureInfo class.
    `ERROR_UNSUPPORTED_MAPI_PROPERTY_TYPE` This error occurs when a caller tries to use extended properties of types object, object array, error, or null.
    `ERROR_UNSUPPORTED_MIME_CONVERSION` This error occurs when you are trying to retrieve or set MIME content for an item other than a PostItemType, MessageType, or CalendarItemType object.
    `ERROR_UNSUPPORTED_PATH_FOR_QUERY` This error occurs when the caller passes a property that is invalid for a query.
    `ERROR_UNSUPPORTED_PATH_FOR_SORT_GROUP` This error occurs when the caller passes a property that is invalid for a sort or group by property.
    `ERROR_UNSUPPORTED_PROPERTY_DEFINITION` This response code is not used.
    `ERROR_UNSUPPORTED_QUERY_FILTER` This error indicates that the search folder restriction may be valid, but it is not supported by EWS.
    `ERROR_UNSUPPORTED_RECURRENCE` This error indicates that the specified recurrence is not supported for tasks.
    `ERROR_UNSUPPORTED_SUB_FILTER` This response code is not used.
    `ERROR_UNSUPPORTED_TYPE_FOR_CONVERSION` This error indicates that Exchange Web Services found a property type in the store but it cannot generate XML for the property type.
    `ERROR_UPDATE_DELEGATES_FAILED` This error indicates that the delegate list failed to be saved after delegates were updated.
    `ERROR_UPDATE_PROPERTY_MISMATCH` This error occurs when the single property path that is listed in a change description does not match the single property that is being set within the actual ItemType or FolderType object.
    `ERROR_USER_NOT_ALLOWED_BY_POLICY` Indicates that the requester attempted to grant permissions in its calendar or contacts folder to an external user, but the sharing policy assigned to the requester indicates that the domain of the external user is not listed in the policy.
    `ERROR_USER_NOT_UNIFIED_MESSAGING_ENABLED` Indicates that the requester is not enabled.
    `ERROR_USER_WITHOUT_FEDERATED_PROXY_ADDRESS` Indicates that the requester's organization has a set of federated domains but the requester's organization does not have any SMTP proxy addresses with one of the federated domains.
    `ERROR_VALUE_OUT_OF_RANGE` Indicates that a calendar view start date or end date was set to 1/1/0001 12:00:00 AM or 12/31/9999 11:59:59 PM.
    `ERROR_VIRUS_DETECTED`
    `ERROR_VIRUS_MESSAGE_DELETED` This error indicates that the Exchange store detected a virus in the message.
    `ERROR_VOICE_MAIL_NOT_IMPLEMENTED` This response code is not used.
    `ERROR_WEB_REQUEST_IN_INVALID_STATE` This response code is not used.
    `ERROR_WIN32_INTEROP_ERROR` This error indicates that there was an internal failure during communication with unmanaged code.
    `ERROR_WORKING_HOURS_SAVE_FAILED` This response code is not used.
    `ERROR_WORKING_HOURS_XML_MALFORMED` This response code is not used.
    `ERROR_WRONG_SERVER_VERSION` Indicates that a request can be made only to a server that is the same version as the mailbox server.
    `ERROR_WRONG_SERVER_VERSION_DELEGATE` Indicates that a request was made by a delegate that has a different server version than the principal's mailbox server.
    `NO_ERROR` No error occurred for the request.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResponseCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ResponseCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_ERROR

          public static final ResponseCode NO_ERROR

      No error occurred for the request.

    - #### ERROR_ACCESS_DENIED

          public static final ResponseCode ERROR_ACCESS_DENIED

      This error occurs when the calling account does not have the rights to perform the requested action.

    - #### ERROR_ACCESS_MODE_SPECIFIED

          public static final ResponseCode ERROR_ACCESS_MODE_SPECIFIED

      This error is for internal use only. This error is not returned.

    - #### ERROR_ACCOUNT_DISABLED

          public static final ResponseCode ERROR_ACCOUNT_DISABLED

      This error occurs when the account in question has been disabled.

    - #### ERROR_ADD_DELEGATES_FAILED

          public static final ResponseCode ERROR_ADD_DELEGATES_FAILED

      This error occurs when a list with added delegates cannot be saved.

    - #### ERROR_ADDRESS_SPACE_NOT_FOUND

          public static final ResponseCode ERROR_ADDRESS_SPACE_NOT_FOUND

      This error occurs when the address space record, or Domain Name System (DNS) domain name, for cross-forest availability could not be found in the Active Directory database.

    - #### ERROR_ADOPERATION

          public static final ResponseCode ERROR_ADOPERATION

      This error occurs when the operation failed because of communication problems with Active Directory Domain Services (AD DS).

    - #### ERROR_ADSESSION_FILTER

          public static final ResponseCode ERROR_ADSESSION_FILTER

      This error is returned when a ResolveNames operation request specifies a name that is not valid.

    - #### ERROR_ADUNAVAILABLE

          public static final ResponseCode ERROR_ADUNAVAILABLE

      This error occurs when AD DS is unavailable.

    - #### ERROR_AUTO_DISCOVER_FAILED

          public static final ResponseCode ERROR_AUTO_DISCOVER_FAILED

      This error indicates that Exchange Web Services tried to determine the location of a cross-forest computer that is running Exchange server that has the Client Access server role installed by using the Autodiscover service, but the call to the Autodiscover service failed.

    - #### ERROR_AFFECTED_TASK_OCCURRENCES_REQUIRED

          public static final ResponseCode ERROR_AFFECTED_TASK_OCCURRENCES_REQUIRED

      This error indicates that the AffectedTaskOccurrences attribute was not specified. When the DeleteItem element is used to delete at least one item that is a task, and regardless of whether that task is recurring or not, the AffectedTaskOccurrences attribute has to be specified so that DeleteItem can determine whether to delete the current occurrence or the entire series.

    - #### ERROR_ATTACHMENT_NEST_LEVEL_LIMIT_EXCEEDED

          public static final ResponseCode ERROR_ATTACHMENT_NEST_LEVEL_LIMIT_EXCEEDED

      Specifies that an attempt was made to create an item with more than 10 nested attachments.

    - #### ERROR_ATTACHMENT_SIZE_LIMIT_EXCEEDED

          public static final ResponseCode ERROR_ATTACHMENT_SIZE_LIMIT_EXCEEDED

      The CreateAttachment element returns this error if an attempt is made to create an attachment with size exceeding Int32.MaxValue, in bytes. The GetAttachment element returns this error if an attempt to retrieve an existing attachment with size exceeding Int32.MaxValue, in bytes.

    - #### ERROR_ARCHIVE_FOLDER_PATH_CREATION

          public static final ResponseCode ERROR_ARCHIVE_FOLDER_PATH_CREATION

      Applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.

    - #### ERROR_ARCHIVE_MAILBOX_NOT_ENABLED

          public static final ResponseCode ERROR_ARCHIVE_MAILBOX_NOT_ENABLED

      Applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.

    - #### ERROR_ARCHIVE_MAILBOX_SERVICE_DISCOVERY_FAILED

          public static final ResponseCode ERROR_ARCHIVE_MAILBOX_SERVICE_DISCOVERY_FAILED

      Applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.

    - #### ERROR_AVAILABILITY_CONFIG_NOT_FOUND

          public static final ResponseCode ERROR_AVAILABILITY_CONFIG_NOT_FOUND

      This error indicates that the availability configuration information for the local forest is missing from AD DS.

    - #### ERROR_BATCH_PROCESSING_STOPPED

          public static final ResponseCode ERROR_BATCH_PROCESSING_STOPPED

      This error indicates that an exception occurred while processing an item and that exception is likely to occur for the items that follow. Requests may include multiple items; for example, a GetItem operation request might include multiple identifiers. In general, items are processed one at a time. If an exception occurs while processing an item and that exception is likely to occur for the items that follow, items that follow will not be processed.

    - #### ERROR_CALENDAR_CANNOT_MOVE_OR_COPY_OCCURRENCE

          public static final ResponseCode ERROR_CALENDAR_CANNOT_MOVE_OR_COPY_OCCURRENCE

      This error occurs when an attempt is made to move or copy an occurrence of a recurring calendar item.

    - #### ERROR_CALENDAR_CANNOT_UPDATE_DELETED_ITEM

          public static final ResponseCode ERROR_CALENDAR_CANNOT_UPDATE_DELETED_ITEM

      This error occurs when an attempt is made to move or copy an occurrence of a recurring calendar item.

    - #### ERROR_CALENDAR_CANNOT_USE_ID_FOR_OCCURRENCE_ID

          public static final ResponseCode ERROR_CALENDAR_CANNOT_USE_ID_FOR_OCCURRENCE_ID

      This error occurs when the UpdateItem, GetItem, DeleteItem, MoveItem, CopyItem, or SendItem operation is called and the ID that was specified is not an occurrence ID of any recurring calendar item.

    - #### ERROR_CALENDAR_CANNOT_USE_ID_FOR_RECURRING_MASTER_ID

          public static final ResponseCode ERROR_CALENDAR_CANNOT_USE_ID_FOR_RECURRING_MASTER_ID

      This error occurs when the UpdateItem, GetItem, DeleteItem, MoveItem, CopyItem, or SendItem operation is called and the ID that was specified is not an ID of any recurring master item.

    - #### ERROR_CALENDAR_DURATION_IS_TOO_LONG

          public static final ResponseCode ERROR_CALENDAR_DURATION_IS_TOO_LONG

      This error occurs during a CreateItem or UpdateItem operation when a calendar item duration is longer than the maximum allowed, which is currently 5 years.

    - #### ERROR_CALENDAR_END_DATE_IS_EARLIER_THAN_START_DATE

          public static final ResponseCode ERROR_CALENDAR_END_DATE_IS_EARLIER_THAN_START_DATE

      This error occurs when a calendar End time is set to the same time or after the Start time.

    - #### ERROR_CALENDAR_FOLDER_IS_INVALID_FOR_CALENDAR_VIEW

          public static final ResponseCode ERROR_CALENDAR_FOLDER_IS_INVALID_FOR_CALENDAR_VIEW

      This error occurs when the specified folder for a FindItem operation with a CalendarView element is not of calendar folder type.

    - #### ERROR_CALENDAR_INVALID_ATTRIBUTE_VALUE

          public static final ResponseCode ERROR_CALENDAR_INVALID_ATTRIBUTE_VALUE

      This response code is not used.

    - #### ERROR_CALENDAR_INVALID_DAY_FOR_TIME_CHANGE_PATTERN

          public static final ResponseCode ERROR_CALENDAR_INVALID_DAY_FOR_TIME_CHANGE_PATTERN

      This error occurs during a CreateItem or UpdateItem operation when invalid values of Day, WeekendDay, and Weekday are used to define the time change pattern.

    - #### ERROR_CALENDAR_INVALID_DAY_FOR_WEEKLY_RECURRENCE

          public static final ResponseCode ERROR_CALENDAR_INVALID_DAY_FOR_WEEKLY_RECURRENCE

      This error occurs during a CreateItem or UpdateItem operation when invalid values of Day, WeekDay, and WeekendDay are used to specify the weekly recurrence.

    - #### ERROR_CALENDAR_INVALID_PROPERTY_STATE

          public static final ResponseCode ERROR_CALENDAR_INVALID_PROPERTY_STATE

      This error occurs when the state of a calendar item recurrence binary large object (BLOB) in the Exchange store is invalid.

    - #### ERROR_CALENDAR_INVALID_PROPERTY_VALUE

          public static final ResponseCode ERROR_CALENDAR_INVALID_PROPERTY_VALUE

      This response code is not used.

    - #### ERROR_CALENDAR_INVALID_RECURRENCE

          public static final ResponseCode ERROR_CALENDAR_INVALID_RECURRENCE

      This error occurs when the specified recurrence cannot be created.

    - #### ERROR_CALENDAR_INVALID_TIME_ZONE

          public static final ResponseCode ERROR_CALENDAR_INVALID_TIME_ZONE

      This error occurs when an invalid time zone is encountered.

    - #### ERROR_CALENDAR_IS_CANCELLED_FOR_ACCEPT

          public static final ResponseCode ERROR_CALENDAR_IS_CANCELLED_FOR_ACCEPT

      Indicates that a calendar item has been canceled.

    - #### ERROR_CALENDAR_IS_CANCELLED_FOR_DECLINE

          public static final ResponseCode ERROR_CALENDAR_IS_CANCELLED_FOR_DECLINE

      Indicates that a calendar item has been canceled.

    - #### ERROR_CALENDAR_IS_CANCELLED_FOR_REMOVE

          public static final ResponseCode ERROR_CALENDAR_IS_CANCELLED_FOR_REMOVE

      Indicates that a calendar item has been canceled.

    - #### ERROR_CALENDAR_IS_CANCELLED_FOR_TENTATIVE

          public static final ResponseCode ERROR_CALENDAR_IS_CANCELLED_FOR_TENTATIVE

      Indicates that a calendar item has been canceled.

    - #### ERROR_CALENDAR_IS_DELEGATED_FOR_ACCEPT

          public static final ResponseCode ERROR_CALENDAR_IS_DELEGATED_FOR_ACCEPT

      This error indicates that the AcceptItem element is invalid for a calendar item or meeting request in a delegated scenario.

    - #### ERROR_CALENDAR_IS_DELEGATED_FOR_DECLINE

          public static final ResponseCode ERROR_CALENDAR_IS_DELEGATED_FOR_DECLINE

      This error indicates that the DeclineItem element is invalid for a calendar item or meeting request in a delegated scenario.

    - #### ERROR_CALENDAR_IS_DELEGATED_FOR_REMOVE

          public static final ResponseCode ERROR_CALENDAR_IS_DELEGATED_FOR_REMOVE

      This error indicates that the RemoveItem element is invalid for a meeting cancellation in a delegated scenario.

    - #### ERROR_CALENDAR_IS_DELEGATED_FOR_TENTATIVE

          public static final ResponseCode ERROR_CALENDAR_IS_DELEGATED_FOR_TENTATIVE

      This error indicates that the TentativelyAcceptItem element is invalid for a calendar item or meeting request in a delegated scenario.

    - #### ERROR_CALENDAR_IS_NOT_ORGANIZER

          public static final ResponseCode ERROR_CALENDAR_IS_NOT_ORGANIZER

      This error indicates that the operation (currently CancelItem) on the calendar item is not valid for an attendee. Only the meeting organizer can cancel the meeting.

    - #### ERROR_CALENDAR_IS_ORGANIZER_FOR_ACCEPT

          public static final ResponseCode ERROR_CALENDAR_IS_ORGANIZER_FOR_ACCEPT

      This error indicates that AcceptItem is invalid for the organizer�s calendar item.

    - #### ERROR_CALENDAR_IS_ORGANIZER_FOR_DECLINE

          public static final ResponseCode ERROR_CALENDAR_IS_ORGANIZER_FOR_DECLINE

      This error indicates that DeclineItem is invalid for the organizer�s calendar item.

    - #### ERROR_CALENDAR_IS_ORGANIZER_FOR_REMOVE

          public static final ResponseCode ERROR_CALENDAR_IS_ORGANIZER_FOR_REMOVE

      This error indicates that RemoveItem is invalid for the organizer�s calendar item. To remove a meeting from the calendar, the organizer must use CancelItem.

    - #### ERROR_CALENDAR_IS_ORGANIZER_FOR_TENTATIVE

          public static final ResponseCode ERROR_CALENDAR_IS_ORGANIZER_FOR_TENTATIVE

      This error indicates that TentativelyAcceptItem is invalid for the organizer�s calendar item.

    - #### ERROR_CALENDAR_OCCURRENCE_INDEX_IS_OUT_OF_RECURRENCE_RANGE

          public static final ResponseCode ERROR_CALENDAR_OCCURRENCE_INDEX_IS_OUT_OF_RECURRENCE_RANGE

      This error indicates that the occurrence index does not point to an occurrence within the current recurrence. For example, if your recurrence pattern defines a set of three meeting occurrences and you try to access the fifth occurrence, this response code will result.

    - #### ERROR_CALENDAR_OCCURRENCE_IS_DELETED_FROM_RECURRENCE

          public static final ResponseCode ERROR_CALENDAR_OCCURRENCE_IS_DELETED_FROM_RECURRENCE

      This error indicates that any operation on a deleted occurrence (addressed via recurring master ID and occurrence index) is invalid.

    - #### ERROR_CALENDAR_OUT_OF_RANGE

          public static final ResponseCode ERROR_CALENDAR_OUT_OF_RANGE

      This error is reported on Create/Update calendar item or task recurrence properties when the property value is out of range. For example, specifying the fifteenth week of the month will result in this response code.

    - #### ERROR_CALENDAR_MEETING_REQUEST_IS_OUT_OF_DATE

          public static final ResponseCode ERROR_CALENDAR_MEETING_REQUEST_IS_OUT_OF_DATE

      This error indicates that a meeting request is out-of-date and cannot be updated.

    - #### ERROR_CALENDAR_VIEW_RANGE_TOO_BIG

          public static final ResponseCode ERROR_CALENDAR_VIEW_RANGE_TOO_BIG

      This error occurs when Start to End range for the CalendarView element is more than the maximum allowed, currently 2 years.

    - #### ERROR_CALLER_IS_INVALID_AD_ACCOUNT

          public static final ResponseCode ERROR_CALLER_IS_INVALID_AD_ACCOUNT

      Indicates that the requesting account is not a valid account in the directory database.

    - #### ERROR_CANNOT_ARCHIVE_CALENDAR_CONTACT_TASK_FOLDER_EXCEPTION

          public static final ResponseCode ERROR_CANNOT_ARCHIVE_CALENDAR_CONTACT_TASK_FOLDER_EXCEPTION

      Items in Calendar, Contacts, or Tasks folders cannot be archived. The ErrorCannotArchiveCalendarContactTaskFolderException field is applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.

    - #### ERROR_CANNOT_ARCHIVE_ITEMS_IN_PUBLIC_FOLDERS

          public static final ResponseCode ERROR_CANNOT_ARCHIVE_ITEMS_IN_PUBLIC_FOLDERS

      Items in public folders cannot be archived. The ErrorCannotArchiveItemsInPublicFolders field is applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.

    - #### ERROR_CANNOT_ARCHIVE_ITEMS_IN_ARCHIVE_MAILBOX

          public static final ResponseCode ERROR_CANNOT_ARCHIVE_ITEMS_IN_ARCHIVE_MAILBOX

      Items in archive mailboxes cannot be archived. The ErrorCannotArchiveItemsInArchiveMailbox field is applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.

    - #### ERROR_CANNOT_CREATE_CALENDAR_ITEM_IN_NON_CALENDAR_FOLDER

          public static final ResponseCode ERROR_CANNOT_CREATE_CALENDAR_ITEM_IN_NON_CALENDAR_FOLDER

      This error occurs when a calendar item is being created and the SavedItemFolderId attribute refers to a non-calendar folder.

    - #### ERROR_CANNOT_CREATE_CONTACT_IN_NON_CONTACT_FOLDER

          public static final ResponseCode ERROR_CANNOT_CREATE_CONTACT_IN_NON_CONTACT_FOLDER

      This error occurs when a contact is being created and the SavedItemFolderId attribute refers to a non-contact folder.

    - #### ERROR_CANNOT_CREATE_POST_ITEM_IN_NON_MAIL_FOLDER

          public static final ResponseCode ERROR_CANNOT_CREATE_POST_ITEM_IN_NON_MAIL_FOLDER

      This error indicates that a post item cannot be created in a folder other than a mail folder, such as Calendar, Contact, Tasks, Notes, and so on.

    - #### ERROR_CANNOT_CREATE_TASK_IN_NON_TASK_FOLDER

          public static final ResponseCode ERROR_CANNOT_CREATE_TASK_IN_NON_TASK_FOLDER

      This error occurs when a task is being created and the SavedItemFolderId attribute refers to a non-task folder.

    - #### ERROR_CANNOT_DELETE_OBJECT

          public static final ResponseCode ERROR_CANNOT_DELETE_OBJECT

      This error occurs when the item or folder to delete cannot be deleted.

    - #### ERROR_CANNOT_DISABLE_MANDATORY_EXTENSION

          public static final ResponseCode ERROR_CANNOT_DISABLE_MANDATORY_EXTENSION

      The end users cannot disable mandatory extensions. The ErrorCannotDisableMandatoryExtension field is applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.

    - #### ERROR_CANNOT_GET_SOURCE_FOLDER_PATH

          public static final ResponseCode ERROR_CANNOT_GET_SOURCE_FOLDER_PATH

      Unable to read the folder path for the source folder while archiving items. The ErrorCannotGetSourceFolderPath field is applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.

    - #### ERROR_CANNOT_GET_EXTERNAL_ECP_URL

          public static final ResponseCode ERROR_CANNOT_GET_EXTERNAL_ECP_URL

      Cannot get the external Exchange Control Panel URL. This can happen if the external Exchange Control Panel URL isn't configured. The ErrorCannotGetExternalEcpUrl field is applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.

    - #### ERROR_CANNOT_OPEN_FILE_ATTACHMENT

          public static final ResponseCode ERROR_CANNOT_OPEN_FILE_ATTACHMENT

      The GetAttachment operation returns this error if it cannot retrieve the body of a file attachment.

    - #### ERROR_CANNOT_DELETE_TASK_OCCURRENCE

          public static final ResponseCode ERROR_CANNOT_DELETE_TASK_OCCURRENCE

      The DeleteItem Operation returns this error when it fails to delete the current occurrence of a recurring task. This can only happen if the AffectedTaskOccurrences attribute has been set to SpecifiedOccurrenceOnly.

    - #### ERROR_CANNOT_EMPTY_FOLDER

          public static final ResponseCode ERROR_CANNOT_EMPTY_FOLDER

      Indicates that a folder cannot be emptied.

    - #### ERROR_CANNOT_SET_CALENDAR_PERMISSION_ON_NON_CALENDAR_FOLDER

          public static final ResponseCode ERROR_CANNOT_SET_CALENDAR_PERMISSION_ON_NON_CALENDAR_FOLDER

      This error indicates that the caller tried to set calendar permissions on a non-calendar folder.

    - #### ERROR_CANNOT_SET_NON_CALENDAR_PERMISSION_ON_CALENDAR_FOLDER

          public static final ResponseCode ERROR_CANNOT_SET_NON_CALENDAR_PERMISSION_ON_CALENDAR_FOLDER

      This error indicates that the caller tried to set non-calendar permissions on a calendar folder.

    - #### ERROR_CANNOT_SET_PERMISSION_UNKNOWN_ENTRIES

          public static final ResponseCode ERROR_CANNOT_SET_PERMISSION_UNKNOWN_ENTRIES

      This error indicates that you cannot set unknown permissions in a permissions set.

    - #### ERROR_CANNOT_SPECIFY_SEARCH_FOLDER_AS_SOURCE_FOLDER

          public static final ResponseCode ERROR_CANNOT_SPECIFY_SEARCH_FOLDER_AS_SOURCE_FOLDER

      Cannot specify search folders as source folders while archiving items. The ErrorCannotSpecifySearchFolderAsSourceFolder field is applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.

    - #### ERROR_CANNOT_USE_FOLDER_ID_FOR_ITEM_ID

          public static final ResponseCode ERROR_CANNOT_USE_FOLDER_ID_FOR_ITEM_ID

      This error occurs when a request that requires an item identifier is given a folder identifier.

    - #### ERROR_CANNOT_USE_ITEM_ID_FOR_FOLDER_ID

          public static final ResponseCode ERROR_CANNOT_USE_ITEM_ID_FOR_FOLDER_ID

      This error occurs when a request that requires a folder identifier is given an item identifier.

    - #### ERROR_CHANGE_KEY_REQUIRED

          public static final ResponseCode ERROR_CHANGE_KEY_REQUIRED

      This response code has been replaced by ErrorChangeKeyRequiredForWriteOperations.

    - #### ERROR_CHANGE_KEY_REQUIRED_FOR_WRITE_OPERATIONS

          public static final ResponseCode ERROR_CHANGE_KEY_REQUIRED_FOR_WRITE_OPERATIONS

      This error is returned when the change key for an item is missing or stale. For SendItem, UpdateItem, and UpdateFolder operations, the caller must pass in a correct and current change key for the item. Note that this is the case with UpdateItem even when conflict resolution is set to always overwrite.

    - #### ERROR_CLIENT_DISCONNECTED

          public static final ResponseCode ERROR_CLIENT_DISCONNECTED

      Indicates that the client is disconnected.

    - #### ERROR_CLIENT_INTENT_INVALID_STATE_DEFINITION

          public static final ResponseCode ERROR_CLIENT_INTENT_INVALID_STATE_DEFINITION

    - #### ERROR_CLIENT_INTENT_NO_FOUND

          public static final ResponseCode ERROR_CLIENT_INTENT_NO_FOUND

    - #### ERROR_CONNECTION_FAILED

          public static final ResponseCode ERROR_CONNECTION_FAILED

      This error occurs when Exchange Web Services cannot connect to the mailbox.

    - #### ERROR_CONTAINS_FILTER_WRONG_TYPE

          public static final ResponseCode ERROR_CONTAINS_FILTER_WRONG_TYPE

      Indicates that the property inspected for a Contains filter is not a string type.

    - #### ERROR_CONTENT_CONVERSION_FAILED

          public static final ResponseCode ERROR_CONTENT_CONVERSION_FAILED

      The GetItem operation returns this error when Exchange Web Services is unable to retrieve the MIME content for the item requested. The CreateItem operation returns this error when Exchange Web Services is unable to create the item from the supplied MIME content. Usually this is an indication that the item property is corrupted or truncated.

    - #### ERROR_CONTENT_INDEXING_NOT_ENABLED

          public static final ResponseCode ERROR_CONTENT_INDEXING_NOT_ENABLED

    - #### ERROR_CORRUPT_DATA

          public static final ResponseCode ERROR_CORRUPT_DATA

      This error occurs when the data is corrupted and cannot be processed.

    - #### ERROR_CREATE_ITEM_ACCESS_DENIED

          public static final ResponseCode ERROR_CREATE_ITEM_ACCESS_DENIED

      This error occurs when the caller does not have permission to create the item.

    - #### ERROR_CREATE_MANAGED_FOLDER_PARTIAL_COMPLETION

          public static final ResponseCode ERROR_CREATE_MANAGED_FOLDER_PARTIAL_COMPLETION

      This error occurs when one or more of the managed folders that were specified in the CreateManagedFolder operation request failed to be created. Search for each folder to determine which folders were created and which folders do not exist.

    - #### ERROR_CREATE_SUBFOLDER_ACCESS_DENIED

          public static final ResponseCode ERROR_CREATE_SUBFOLDER_ACCESS_DENIED

      This error occurs when the calling account does not have the permissions required to create the subfolder.

    - #### ERROR_CROSS_MAILBOX_MOVE_COPY

          public static final ResponseCode ERROR_CROSS_MAILBOX_MOVE_COPY

      This error occurs when an attempt is made to move an item or folder from one mailbox to another. If the source mailbox and destination mailbox are different, you will get this error.

    - #### ERROR_CROSS_SITE_REQUEST

          public static final ResponseCode ERROR_CROSS_SITE_REQUEST

      Indicates that the request is not allowed because the Client Access server that should service the request is in a different site.

    - #### ERROR_DATA_SIZE_LIMIT_EXCEEDED

          public static final ResponseCode ERROR_DATA_SIZE_LIMIT_EXCEEDED

      This error can occur in the following scenarios: 1.An attempt is made to access or write a property on an item and the property value is too large. 2.The base64 encoded MIME content length within the request XML exceeds the limit. 3.The size of the body of an existing item body exceeds the limit. 4.The consumer tries to set an HTML or text body whose length (or combined length in the case of append) exceeds the limit.

    - #### ERROR_DATA_SOURCE_OPERATION

          public static final ResponseCode ERROR_DATA_SOURCE_OPERATION

      This error occurs when the underlying data provider fails to complete the operation.

    - #### ERROR_DELEGATE_ALREADY_EXISTS

          public static final ResponseCode ERROR_DELEGATE_ALREADY_EXISTS

      This error occurs in an AddDelegate operation when the specified user already exists in the list of delegates.

    - #### ERROR_DELEGATE_CANNOT_ADD_OWNER

          public static final ResponseCode ERROR_DELEGATE_CANNOT_ADD_OWNER

      This error occurs in an AddDelegate operation when the specified user to be added is the owner of the mailbox.

    - #### ERROR_DELEGATE_MISSING_CONFIGURATION

          public static final ResponseCode ERROR_DELEGATE_MISSING_CONFIGURATION

      This error occurs in a GetDelegate operation when either there is no delegate information on the local FreeBusy message or no Active Directory public delegate (no ?public delegate? or no "Send On Behalf" entry in AD DS).

    - #### ERROR_DELEGATE_NO_USER

          public static final ResponseCode ERROR_DELEGATE_NO_USER

      This error occurs in a GetDelegate operation when either there is no delegate information on the local FreeBusy message or no Active Directory public delegate (no ?public delegate? or no "Send On Behalf" entry in AD DS).

    - #### ERROR_DELEGATE_VALIDATION_FAILED

          public static final ResponseCode ERROR_DELEGATE_VALIDATION_FAILED

      This error occurs in a GetDelegate operation when either there is no delegate information on the local FreeBusy message or no Active Directory public delegate (no ?public delegate? or no "Send On Behalf" entry in AD DS).

    - #### ERROR_DELETE_DISTINGUISHED_FOLDER

          public static final ResponseCode ERROR_DELETE_DISTINGUISHED_FOLDER

      This error occurs when an attempt is made to delete a distinguished folder.

    - #### ERROR_DELETE_ITEMS_FAILED

          public static final ResponseCode ERROR_DELETE_ITEMS_FAILED

      This response code is not used.

    - #### ERROR_DELETE_UNIFIED_MESSAGING_PROMPT_FAILED

          public static final ResponseCode ERROR_DELETE_UNIFIED_MESSAGING_PROMPT_FAILED

    - #### ERROR_DISTINGUISHED_USER_NOT_SUPPORTED

          public static final ResponseCode ERROR_DISTINGUISHED_USER_NOT_SUPPORTED

      This error indicates that a distinguished user ID is not valid for the operation. DistinguishedUserType should not be present in the request.

    - #### ERROR_DISTRIBUTION_LIST_MEMBER_NOT_EXIST

          public static final ResponseCode ERROR_DISTRIBUTION_LIST_MEMBER_NOT_EXIST

      Indicates that a request distribution list member does not exist in the distribution list.

    - #### ERROR_DUPLICATE_INPUT_FOLDER_NAMES

          public static final ResponseCode ERROR_DUPLICATE_INPUT_FOLDER_NAMES

      This error occurs when duplicate folder names are specified within the FolderNames element of the CreateManagedFolder operation request.

    - #### ERROR_DUPLICATE_USER_IDS_SPECIFIED

          public static final ResponseCode ERROR_DUPLICATE_USER_IDS_SPECIFIED

      This error indicates that a duplicate user ID has been found in a permission set, either Default or Anonymous are set more than once, or there are duplicate SIDs or recipients.

    - #### ERROR_EMAIL_ADDRESS_MISMATCH

          public static final ResponseCode ERROR_EMAIL_ADDRESS_MISMATCH

      This error occurs when a request attempts to create/update the search parameters of a search folder. For example, this can occur when a search folder is created in the mailbox but the search folder is directed to look in another mailbox.

    - #### ERROR_EVENT_NOT_FOUND

          public static final ResponseCode ERROR_EVENT_NOT_FOUND

      This error occurs when the event that is associated with a watermark is deleted before the event is returned. When this error is returned, the subscription is also deleted.

    - #### ERROR_EXCEEDED_CONNECTION_COUNT

          public static final ResponseCode ERROR_EXCEEDED_CONNECTION_COUNT

      Indicates that there are more concurrent requests against the server than allowed by a user's policy.

    - #### ERROR_EXCEEDED_SUBSCRIPTION_COUNT

          public static final ResponseCode ERROR_EXCEEDED_SUBSCRIPTION_COUNT

      Indicates that a user's throttling policy maximum subscription count has been exceeded.

    - #### ERROR_EXCEEDED_FIND_COUNT_LIMIT

          public static final ResponseCode ERROR_EXCEEDED_FIND_COUNT_LIMIT

      Indicates that a search operation call has exceeded the total number of items that can be returned.

    - #### ERROR_EXPIRED_SUBSCRIPTION

          public static final ResponseCode ERROR_EXPIRED_SUBSCRIPTION

      This error -iIndicates that there are more concurrent requests against the server than are allowed by a user's policy.

    - #### ERROR_EXTENSION_NOT_FOUND

          public static final ResponseCode ERROR_EXTENSION_NOT_FOUND

      Cannot find the extension with the specified identifier. The ErrorExtensionNotFound field is applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.

    - #### ERROR_FOLDER_CORRUPT

          public static final ResponseCode ERROR_FOLDER_CORRUPT

      This error occurs when the folder is corrupted and cannot be saved.

    - #### ERROR_FOLDER_NOT_FOUND

          public static final ResponseCode ERROR_FOLDER_NOT_FOUND

      This error indicates that the folder ID that was specified does not correspond to a valid folder, or that the delegate does not have permission to access the folder.

    - #### ERROR_FOLDER_PROPERT_REQUEST_FAILED

          public static final ResponseCode ERROR_FOLDER_PROPERT_REQUEST_FAILED

      This error indicates that the requested property could not be retrieved. This does not indicate that the property does not exist, but that the property was corrupted in some way so that the retrieval failed.

    - #### ERROR_FOLDER_SAVE

          public static final ResponseCode ERROR_FOLDER_SAVE

      This error indicates that the folder could not be created or updated because of an invalid state.

    - #### ERROR_FOLDER_SAVE_FAILED

          public static final ResponseCode ERROR_FOLDER_SAVE_FAILED

      This error indicates that the folder could not be created or updated because of an invalid state.

    - #### ERROR_FOLDER_SAVE_PROPERTY_ERROR

          public static final ResponseCode ERROR_FOLDER_SAVE_PROPERTY_ERROR

      This error indicates that the folder could not be created or updated because of invalid property values. The response code lists which properties caused the problem.

    - #### ERROR_FOLDER_EXISTS

          public static final ResponseCode ERROR_FOLDER_EXISTS

      This error occurs when an attempt is made to create a folder that has the same name as another folder in the same parent. Duplicate folder names are not allowed.

    - #### ERROR_FREE_BUSY_GENERATION_FAILED

          public static final ResponseCode ERROR_FREE_BUSY_GENERATION_FAILED

      This error is returned when free/busy information cannot be retrieved because of an intervening failure.

    - #### ERROR_GET_SERVER_SECURITY_DESCRIPTOR_FAILED

          public static final ResponseCode ERROR_GET_SERVER_SECURITY_DESCRIPTOR_FAILED

      This response code is not used.

    - #### ERROR_IM_CONTACT_LIMIT_REACHED

          public static final ResponseCode ERROR_IM_CONTACT_LIMIT_REACHED

      The maximum number of contacts to block/add for instant messaging (IM) has been reached. The ErrorImContactLimitReached field is applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.

    - #### ERROR_IM_GROUP_DISPLAY_NAME_ALREADY_EXISTS

          public static final ResponseCode ERROR_IM_GROUP_DISPLAY_NAME_ALREADY_EXISTS

      The IM group display name already exists. The ErrorImGroupDisplayNameAlreadyExists field is applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.

    - #### ERROR_IM_GROUP_LIMIT_REACHED

          public static final ResponseCode ERROR_IM_GROUP_LIMIT_REACHED

      The maximum number of distribution group members to send an IM has been reached. The ErrorImGroupLimitReached field is applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.

    - #### ERROR_IMPERSONATE_USER_DENIED

          public static final ResponseCode ERROR_IMPERSONATE_USER_DENIED

      The error is returned in the server-to-server authorization case for Exchange Impersonation when the caller does not have the proper rights to impersonate the specific user in question. This error maps to the ms-Exch-EPI-May-Impersonate extended Active Directory right.

    - #### ERROR_IMPERSONATION_DENIED

          public static final ResponseCode ERROR_IMPERSONATION_DENIED

      This error is returned in the server-to-server authorization for Exchange Impersonation when the caller does not have the proper rights to impersonate through the Client Access server that they are making the request against. This maps to the ms-Exch-EPI-Impersonation extended Active Directory right.

    - #### ERROR_IMPERSONATION_FAILED

          public static final ResponseCode ERROR_IMPERSONATION_FAILED

      This error indicates that there was an unexpected error when an attempt was made to perform server-to-server authentication. This response code typically indicates either that the service account that is running the Exchange Web Services application pool is configured incorrectly, that Exchange Web Services cannot talk to the directory, or that a trust between forests is not correctly configured.

    - #### ERROR_INCORRECT_SCHEMA_VERSION

          public static final ResponseCode ERROR_INCORRECT_SCHEMA_VERSION

      This error indicates that the request was valid for the current Exchange Server version but was invalid for the request server version that was specified.

    - #### ERROR_INCORRECT_UPDATE_PROPERTY_COUNT

          public static final ResponseCode ERROR_INCORRECT_UPDATE_PROPERTY_COUNT

      This error indicates that each change description in the UpdateItem or UpdateFolder elements must list only one property to update.

    - #### ERROR_INDIVIDUAL_MAILBOX_LIMIT_REACHED

          public static final ResponseCode ERROR_INDIVIDUAL_MAILBOX_LIMIT_REACHED

      This error occurs when the request contains too many attendees to resolve. By default, the maximum number of attendees to resolve is 100.

    - #### ERROR_INSUFFICIENT_RESOURCES

          public static final ResponseCode ERROR_INSUFFICIENT_RESOURCES

      This error occurs when the mailbox server is overloaded. Try your request again later.

    - #### ERROR_INTERNAL_SERVER_ERROR

          public static final ResponseCode ERROR_INTERNAL_SERVER_ERROR

      This error indicates that Exchange Web Services encountered an error that it could not recover from, and a more specific response code that is associated with the error that occurred does not exist.

    - #### ERROR_INTERNAL_SERVER_TRANSIENT_ERROR

          public static final ResponseCode ERROR_INTERNAL_SERVER_TRANSIENT_ERROR

      This error indicates that an internal server error occurred and that you should try your request again later.

    - #### ERROR_INVALID_ACCESS_LEVEL

          public static final ResponseCode ERROR_INVALID_ACCESS_LEVEL

      This error indicates that the level of access that the caller has on the free/busy data is invalid.

    - #### ERROR_INVALID_ARGUMENT

          public static final ResponseCode ERROR_INVALID_ARGUMENT

      Indicates an error caused by all invalid arguments passed to the GetMessageTrackingReport operation. This error is returned in the following scenarios: The user specified in the sending-as parameter does not exist in the directory; the user specified in the sending-as parameter is not unique in the directory; the sending-as address is empty; the sending-as address is not a valid email address.

    - #### ERROR_INVALID_ATTACHMENT_ID

          public static final ResponseCode ERROR_INVALID_ATTACHMENT_ID

      This error is returned by the GetAttachment Operation or the DeleteAttachment Operation when an attachment that corresponds to the specified ID is not found.

    - #### ERROR_INVALID_ATTACHMENT_SUBFILTER

          public static final ResponseCode ERROR_INVALID_ATTACHMENT_SUBFILTER

      This error occurs when you try to bind to an existing search folder by using a complex attachment table restriction. Exchange Web Services only supports simple contains filters against the attachment table. If you try to bind to an existing search folder that has a more complex attachment table restriction (a subfilter), Exchange Web Services cannot render the XML for that filter and returns this response code. Note that you can still call the GetFolder operation on the folder, but do not request the SearchParameters property.

    - #### ERROR_INVALID_ATTACHMENT_SUBFILTER_TEXT_FILTER

          public static final ResponseCode ERROR_INVALID_ATTACHMENT_SUBFILTER_TEXT_FILTER

      This error occurs when you try to bind to an existing search folder by using a complex attachment table restriction. Exchange Web Services only supports simple contains filters against the attachment table. If you try to bind to an existing search folder that has a more complex attachment table restriction, Exchange Web Services cannot render the XML for that filter. In this case, the attachment subfilter contains a text filter, but it is not looking at the attachment display name. Note that you can still call the GetFolder operation on the folder, but do not request the SearchParameters property.

    - #### ERROR_INVALID_AUTHORIZATION_CONTEXT

          public static final ResponseCode ERROR_INVALID_AUTHORIZATION_CONTEXT

      This error indicates that the authorization procedure for the requestor failed.

    - #### ERROR_INVALID_CHANGE_KEY

          public static final ResponseCode ERROR_INVALID_CHANGE_KEY

      This error occurs when a consumer passes in a folder or item identifier with a change key that cannot be parsed. For example, this could be invalid base64 content or an empty string.

    - #### ERROR_INVALID_CLIENT_SECURITY_CONTEXT

          public static final ResponseCode ERROR_INVALID_CLIENT_SECURITY_CONTEXT

      This error indicates that there was an internal error when an attempt was made to resolve the identity of the caller.

    - #### ERROR_INVALID_COMPLETE_DATE

          public static final ResponseCode ERROR_INVALID_COMPLETE_DATE

      This error is returned when an attempt is made to set the CompleteDate element value of a task to a time in the future. When it is converted to the local time of the Client Access server, the CompleteDate of a task cannot be set to a value that is later than the local time on the Client Access server.

    - #### ERROR_INVALID_CONTACT_EMAIL_ADDRESS

          public static final ResponseCode ERROR_INVALID_CONTACT_EMAIL_ADDRESS

      Indicates that an invalid e-mail address was provided for a contact.

    - #### ERROR_INVALID_CONTACT_EMAIL_INDEX

          public static final ResponseCode ERROR_INVALID_CONTACT_EMAIL_INDEX

      Indicates that an invalid e-mail index value was provided for an e-mail entry.

    - #### ERROR_INVALID_CROSS_FOREST_CREDENTIALS

          public static final ResponseCode ERROR_INVALID_CROSS_FOREST_CREDENTIALS

      This error occurs when the credentials that are used to proxy a request to a different directory service forest fail authentication.

    - #### ERROR_INVALID_DELEGATE_PERMISSION

          public static final ResponseCode ERROR_INVALID_DELEGATE_PERMISSION

      This error indicates that the specified folder permissions are invalid.

    - #### ERROR_INVALID_DELEGATE_USER_ID

          public static final ResponseCode ERROR_INVALID_DELEGATE_USER_ID

      This error indicates that the specified delegate user ID is invalid.

    - #### ERROR_INVALID_EXCLUDES_RESTRICTION

          public static final ResponseCode ERROR_INVALID_EXCLUDES_RESTRICTION

      This error occurs when the bitmask that was passed into an Excludes element restriction is unable to be parsed.

    - #### ERROR_INVALID_EXPRESSION_TYPE_FOR_SUB_FILTER

          public static final ResponseCode ERROR_INVALID_EXPRESSION_TYPE_FOR_SUB_FILTER

      This response code is not used.

    - #### ERROR_INVALID_EXTENDED_PROPERTY

          public static final ResponseCode ERROR_INVALID_EXTENDED_PROPERTY

      This error occurs when the following events take place: The caller tries to use an extended property that is not supported by Exchange Web Services. The caller passes in an invalid combination of attribute values for an extended property. This also occurs if no attributes are passed. Only certain combinations are allowed.

    - #### ERROR_INVALID_EXTENDED_PROPERTY_VALUE

          public static final ResponseCode ERROR_INVALID_EXTENDED_PROPERTY_VALUE

      This error occurs when the value section of an extended property does not match the type of the property; for example, setting an extended property that has PropertyType="String" to an array of integers will result in this error. Any string representation that is not coercible into the type that is specified for the extended property will give this error.

    - #### ERROR_INVALID_FOLDER_ID

          public static final ResponseCode ERROR_INVALID_FOLDER_ID

      This error occurs when the folder ID is corrupt.

    - #### ERROR_INVALID_FOLDER_TYPE_FOR_OPERATION

          public static final ResponseCode ERROR_INVALID_FOLDER_TYPE_FOR_OPERATION

      This error indicates that the specified folder type is invalid for the current operation. For example, you cannot create a Search folder in a public folder.

    - #### ERROR_INVALID_FRACTIONAL_PAGING_PARAMETERS

          public static final ResponseCode ERROR_INVALID_FRACTIONAL_PAGING_PARAMETERS

      This error occurs in fractional paging when the user has specified one of the following: A numerator that is greater than the denominator A numerator that is less than zero A denominator that is less than or equal to zero

    - #### ERROR_INVALID_FREE_BUSY_VIEW_TYPE

          public static final ResponseCode ERROR_INVALID_FREE_BUSY_VIEW_TYPE

      This error occurs when the GetUserAvailability Operation is called with a FreeBusyViewType of None.

    - #### ERROR_INVALID_ID

          public static final ResponseCode ERROR_INVALID_ID

      This error indicates that the ID and/or change key is malformed.

    - #### ERROR_INVALID_ID_EMPTY

          public static final ResponseCode ERROR_INVALID_ID_EMPTY

      This error occurs when the caller specifies an Id attribute that is empty.

    - #### ERROR_INVALID_ID_MALFORMED

          public static final ResponseCode ERROR_INVALID_ID_MALFORMED

      This error occurs when the caller specifies an Id attribute that is malformed.

    - #### ERROR_INVALID_ID_MALFORMED_EWS_LEGACY_ID_FORMAT

          public static final ResponseCode ERROR_INVALID_ID_MALFORMED_EWS_LEGACY_ID_FORMAT

      This error indicates that a folder or item ID that is using the Exchange 2007 format was specified for a request with a version of Exchange 2007 SP1 or later. You cannot use Exchange 2007 IDs in Exchange 2007 SP1 or later requests. You have to use the ConvertId Operationto convert them first.

    - #### ERROR_INVALID_ID_MONIKER_TOO_LONG

          public static final ResponseCode ERROR_INVALID_ID_MONIKER_TOO_LONG

      This error occurs when the caller specifies an Id attribute that is too long.

    - #### ERROR_INVALID_ID_NOT_AN_ITEM_ATTACHMENT_ID

          public static final ResponseCode ERROR_INVALID_ID_NOT_AN_ITEM_ATTACHMENT_ID

      This error is returned whenever an ID that is not an item attachment ID is passed to a Web service method that expects an attachment ID.

    - #### ERROR_INVALID_ID_RETURNED_BY_RESOLVE_NAMES

          public static final ResponseCode ERROR_INVALID_ID_RETURNED_BY_RESOLVE_NAMES

      This error occurs when a contact in your mailbox is corrupt.

    - #### ERROR_INVALID_ID_STORE_OBJECT_ID_TOO_LONG

          public static final ResponseCode ERROR_INVALID_ID_STORE_OBJECT_ID_TOO_LONG

      This error occurs when the caller specifies an Id attribute that is too long.

    - #### ERROR_INVALID_ID_TOO_MANY_ATTACHMENT_LEVELS

          public static final ResponseCode ERROR_INVALID_ID_TOO_MANY_ATTACHMENT_LEVELS

      This error is returned when the attachment hierarchy on an item exceeds the maximum of 255 levels deep.

    - #### ERROR_INVALID_ID_XML

          public static final ResponseCode ERROR_INVALID_ID_XML

      This response code is not used.

    - #### ERROR_INVALID_IM_CONTACT_ID

          public static final ResponseCode ERROR_INVALID_IM_CONTACT_ID

    - #### ERROR_INVALID_IM_DISTRIBUTION_GROUP_SMTP_ADDRESS

          public static final ResponseCode ERROR_INVALID_IM_DISTRIBUTION_GROUP_SMTP_ADDRESS

    - #### ERROR_INVALID_IM_GROUP_ID

          public static final ResponseCode ERROR_INVALID_IM_GROUP_ID

    - #### ERROR_INVALID_INDEXED_PAGING_PARAMETERS

          public static final ResponseCode ERROR_INVALID_INDEXED_PAGING_PARAMETERS

      This error occurs if the offset for indexed paging is negative.

    - #### ERROR_INVALID_INTERNET_HEADER_CHILD_NODES

          public static final ResponseCode ERROR_INVALID_INTERNET_HEADER_CHILD_NODES

      This response code is not used.

    - #### ERROR_INVALID_ITEM_FOR_OPERATION_ARCHIVE_ITEM

          public static final ResponseCode ERROR_INVALID_ITEM_FOR_OPERATION_ARCHIVE_ITEM

      Invalid item type for an ArchiveItem action. The ErrorInvalidItemForOperationArchiveItem field is applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.

    - #### ERROR_INVALID_ITEM_FOR_OPERATION_CREATE_ITEM_ATTACHMENT

          public static final ResponseCode ERROR_INVALID_ITEM_FOR_OPERATION_CREATE_ITEM_ATTACHMENT

      This error is returned when an attempt is made to create an item attachment of an unsupported type. Supported item types for item attachments include the following objects: ItemType MessageType CalendarItemType TaskType ContactItemType For example, if you try to create a MeetingMessage attachment, you will encounter this response code.

    - #### ERROR_INVALID_ITEM_FOR_OPERATION_CREATE_ITEM

          public static final ResponseCode ERROR_INVALID_ITEM_FOR_OPERATION_CREATE_ITEM

      This error is returned from a CreateItem Operation if the request contains an unsupported item type. Supported items include the following objects: ItemType MessageType CalendarItemType TaskType ContactItemType Certain types are created as a side effect of doing something else. MeetingMessages, for example, are created when you send a calendar item to attendees; they are not explicitly created.

    - #### ERROR_INVALID_ITEM_FOR_OPERATION_ACCEPT_ITEM

          public static final ResponseCode ERROR_INVALID_ITEM_FOR_OPERATION_ACCEPT_ITEM

      This error occurs when an attempt is made to use an AcceptItem operation for an item type other than a meeting request or a calendar item, or when an attempt is made to accept a calendar item occurrence that is in the Deleted Items folder.

    - #### ERROR_INVALID_ITEM_FOR_OPERATION_DECLINE_ITEM

          public static final ResponseCode ERROR_INVALID_ITEM_FOR_OPERATION_DECLINE_ITEM

      This error occurs when an attempt is made to use a DeclineItem operation for an item type other than a meeting request or a calendar item, or when an attempt is made to decline a calendar item occurrence that is in the Deleted Items folder.

    - #### ERROR_INVALID_ITEM_FOR_OPERATION_CANCEL_ITEM

          public static final ResponseCode ERROR_INVALID_ITEM_FOR_OPERATION_CANCEL_ITEM

      This error occurs when an attempt is made to use a CancelItem operation on an item type other than a calendar item.

    - #### ERROR_INVALID_ITEM_FOR_OPERATION_EXPAND_DL

          public static final ResponseCode ERROR_INVALID_ITEM_FOR_OPERATION_EXPAND_DL

      This error indicates that the ExpandDL Operation is valid only for private distribution lists.

    - #### ERROR_INVALID_ITEM_FOR_OPERATION_REMOVE_ITEM

          public static final ResponseCode ERROR_INVALID_ITEM_FOR_OPERATION_REMOVE_ITEM

      This error is returned from a RemoveItem operation if the request specifies an item that is not a meeting cancellation item.

    - #### ERROR_INVALID_ITEM_FOR_OPERATION_SEND_ITEM

          public static final ResponseCode ERROR_INVALID_ITEM_FOR_OPERATION_SEND_ITEM

      This error is returned from a SendItem Operation if the request specifies an item that is not a message item.

    - #### ERROR_INVALID_ITEM_FOR_OPERATION_TENTATIVE

          public static final ResponseCode ERROR_INVALID_ITEM_FOR_OPERATION_TENTATIVE

      This error occurs when an attempt is made to use TentativelyAcceptItem for an item type other than a meeting request or a calendar item, or when an attempt is made to tentatively accept a calendar item occurrence that is in the Deleted Items folder.

    - #### ERROR_INVALID_LOGON_TYPE

          public static final ResponseCode ERROR_INVALID_LOGON_TYPE

      Indicates that an invalid logon type was used.

    - #### ERROR_INVALID_MAILBOX

          public static final ResponseCode ERROR_INVALID_MAILBOX

      Indicates that the CreateItem or UpdateItem operation failed while creating or updating a personal distribution list.

    - #### ERROR_INVALID_MANAGED_FOLDER_PROPERTY

          public static final ResponseCode ERROR_INVALID_MANAGED_FOLDER_PROPERTY

      This error occurs when the structure of the managed folder is corrupted and cannot be rendered.

    - #### ERROR_INVALID_MANAGED_FOLDER_QUOTA

          public static final ResponseCode ERROR_INVALID_MANAGED_FOLDER_QUOTA

      This error occurs when the quota that is set on the managed folder is less than zero, which indicates a corrupted managed folder.

    - #### ERROR_INVALID_MANAGED_FOLDER_SIZE

          public static final ResponseCode ERROR_INVALID_MANAGED_FOLDER_SIZE

      This error occurs when the size that is set on the managed folder is less than zero, which indicates a corrupted managed folder.

    - #### ERROR_INVALID_MERGED_FREE_BUSY_INTERVAL

          public static final ResponseCode ERROR_INVALID_MERGED_FREE_BUSY_INTERVAL

      This error occurs when the supplied merged free/busy internal value is invalid. The default minimum value is 5 minutes. The default maximum value is 1440 minutes.

    - #### ERROR_INVALID_NAME_FOR_NAME_RESOLUTION

          public static final ResponseCode ERROR_INVALID_NAME_FOR_NAME_RESOLUTION

      This error occurs when the name is invalid for the ResolveNames Operation. For example, a zero length string, a single space, a comma, and a dash are all invalid names.

    - #### ERROR_INVALID_OPERATION

          public static final ResponseCode ERROR_INVALID_OPERATION

      This is a general error that is used when the requested operation is invalid. For example, you cannot do the following: Perform a ?Deep? traversal by using the FindFolder Operation on a public folder. Move or copy the public folder root. Delete an associated item by using any mode except ?Hard? delete. Move or copy an associated item.

    - #### ERROR_INVALID_NETWORK_SERVICE_CONTEXT

          public static final ResponseCode ERROR_INVALID_NETWORK_SERVICE_CONTEXT

      This error indicates an error in the Network Service account on the Client Access server.

    - #### ERROR_INVALID_OOF_PARAMETER

          public static final ResponseCode ERROR_INVALID_OOF_PARAMETER

      This response code is not used.

    - #### ERROR_INVALID_PAGING_MAX_ROWS

          public static final ResponseCode ERROR_INVALID_PAGING_MAX_ROWS

      This error occurs when a consumer passes in a zero or a negative value for the maximum rows to be returned.

    - #### ERROR_INVALID_PARENT_FOLDER

          public static final ResponseCode ERROR_INVALID_PARENT_FOLDER

      This error occurs when a consumer passes in an invalid parent folder for an operation. For example, this error is returned if you try to create a folder within a search folder.

    - #### ERROR_INVALID_PERCENT_COMPLETE_VALUE

          public static final ResponseCode ERROR_INVALID_PERCENT_COMPLETE_VALUE

      This error is returned when an attempt is made to set a task completion percentage to an invalid value. The value must be between 0 and 100 (inclusive).

    - #### ERROR_INVALID_PERMISSION_SETTINGS

          public static final ResponseCode ERROR_INVALID_PERMISSION_SETTINGS

      This error indicates that the permission level is inconsistent with the permission settings.

    - #### ERROR_INVALID_PHONE_CALL_ID

          public static final ResponseCode ERROR_INVALID_PHONE_CALL_ID

      Indicates that the caller identifier is not valid.

    - #### ERROR_INVALID_PHONE_NUMBER

          public static final ResponseCode ERROR_INVALID_PHONE_NUMBER

      Indicates that the phone number is not correct or does not fit the dial plan rules.

    - #### ERROR_INVALID_USER_INFO

          public static final ResponseCode ERROR_INVALID_USER_INFO

      This error indicates that an internally inconsistent UserId was specified for a permissions operation. For example, if a distinguished user ID is specified (Default or Anonymous), this error is returned if you also try to specify a SID, or primary SMTP address or display name for this user.

    - #### ERROR_INVALID_PROPERTY_APPEND

          public static final ResponseCode ERROR_INVALID_PROPERTY_APPEND

      This error occurs when the property that you are trying to append to does not support appending. The following are the only properties that support appending: Recipient collections (ToRecipients, CcRecipients, BccRecipients) Attendee collections (RequiredAttendees, OptionalAttendees, Resources) Body ReplyTo In addition, this error occurs when a message body is appended if the format specified in the request does not match the format of the item in the store.

    - #### ERROR_INVALID_PROPERTY_DELETE

          public static final ResponseCode ERROR_INVALID_PROPERTY_DELETE

      This error occurs if the delete operation is specified in an UpdateItem Operation or UpdateFolder Operation call for a property that does not support the delete operation. For example, you cannot delete the ItemId property of the ItemType object.

    - #### ERROR_INVALID_PROPERTY_FOR_EXISTS

          public static final ResponseCode ERROR_INVALID_PROPERTY_FOR_EXISTS

      This error occurs if the consumer passes in one of the flag properties in an Exists filter. For example, this error occurs if the IsRead or IsFromMe flags are specified in the Exists element. The request should use the IsEqualTo element instead for these as they are flags and therefore part of a single property.

    - #### ERROR_INVALID_PROPERTY_FOR_OPERATION

          public static final ResponseCode ERROR_INVALID_PROPERTY_FOR_OPERATION

      This error occurs when the property that you are trying to manipulate does not support the operation that is being performed on it.

    - #### ERROR_INVALID_PROPERTY_REQUEST

          public static final ResponseCode ERROR_INVALID_PROPERTY_REQUEST

      This error occurs if a property that is specified in the request is not available for the item type. For example, this error is returned if a property that is only available on calendar items is requested in a GetItem Operation call for a message or is updated in an UpdateItem Operation call for a message. This occurs in the following operations: GetItem Operation GetFolder Operation UpdateItem Operation UpdateFolder Operation

    - #### ERROR_INVALID_PROPERTY_SET

          public static final ResponseCode ERROR_INVALID_PROPERTY_SET

      This error indicates that the property that you are trying to manipulate does not support the operation that is being performed on it. For example, this error is returned if the property that you are trying to set is read-only.

    - #### ERROR_INVALID_PROPERTY_UPDATE_SENT_MESSAGE

          public static final ResponseCode ERROR_INVALID_PROPERTY_UPDATE_SENT_MESSAGE

      This error occurs during an UpdateItem Operation when a client tries to update certain properties of a message that has already been sent. For example, the following properties cannot be updated on a sent message: IsReadReceiptRequested IsDeliveryReceiptRequested

    - #### ERROR_INVALID_PROXY_SECURITY_CONTEXT

          public static final ResponseCode ERROR_INVALID_PROXY_SECURITY_CONTEXT

      This response code is not used.

    - #### ERROR_INVALID_PULL_SUBSCRIPTION_ID

          public static final ResponseCode ERROR_INVALID_PULL_SUBSCRIPTION_ID

      This error occurs if you call the GetEvents Operation or the Unsubscribe Operation by using a push subscription ID. To unsubscribe from a push subscription, you must respond to a push request with an unsubscribe response, or disconnect your Web service and wait for the push notifications to time out.

    - #### ERROR_INVALID_PUSH_SUBSCRIPTION_URL

          public static final ResponseCode ERROR_INVALID_PUSH_SUBSCRIPTION_URL

      This error is returned by the Subscribe Operation when it creates a ?push? subscription and indicates that the URL that is included in the request is invalid. The following conditions must be met for Exchange Web Services to accept the URL: String length > 0 and < 2083.

    - #### ERROR_INVALID_RECIPIENTS

          public static final ResponseCode ERROR_INVALID_RECIPIENTS

      This error indicates that the recipient collection on your message or the attendee collection on your calendar item is invalid. For example, this error will be returned when an attempt is made to send an item that has no recipients.

    - #### ERROR_INVALID_RECIPIENT_SUBFILTER

          public static final ResponseCode ERROR_INVALID_RECIPIENT_SUBFILTER

      This error indicates that the search folder has a recipient table filter that Exchange Web Services cannot represent. To get around this error, retrieve the folder without requesting the search parameters.

    - #### ERROR_INVALID_RECIPIENT_SUBFILTER_COMPARISON

          public static final ResponseCode ERROR_INVALID_RECIPIENT_SUBFILTER_COMPARISON

      This error indicates that the search folder has a recipient table filter that Exchange Web Services cannot represent. To get around this error, retrieve the folder without requesting the search parameters.

    - #### ERROR_INVALID_RECIPIENT_SUBFILTER_ORDER

          public static final ResponseCode ERROR_INVALID_RECIPIENT_SUBFILTER_ORDER

      This error indicates that the search folder has a recipient table filter that Exchange Web Services cannot represent. To get around this error, retrieve the folder without requesting the search parameters.

    - #### ERROR_INVALID_RECIPIENT_SUBFILTER_TEXT_FILTER

          public static final ResponseCode ERROR_INVALID_RECIPIENT_SUBFILTER_TEXT_FILTER

      This error indicates that the search folder has a recipient table filter that Exchange Web Services cannot represent. To get around this error, retrieve the folder without requesting the search parameters.

    - #### ERROR_INVALID_REFERENCE_ITEM

          public static final ResponseCode ERROR_INVALID_REFERENCE_ITEM

      This error is returned from the CreateItem Operation for Forward and Reply response objects in the following scenarios: The referenced item identifier is not a Message, a CalendarItem, or a descendant of a Message or CalendarItem. The reference item identifier is for a CalendarItem and the organizer is trying to Reply or ReplyAll to himself. The message is a draft and Reply or ReplyAll is selected. The reference item, for SuppressReadReceipt, is not a Message or a descendant of a Message.

    - #### ERROR_INVALID_REQUEST

          public static final ResponseCode ERROR_INVALID_REQUEST

      This error occurs when the SOAP request has a SOAP action header, but nothing in the SOAP body. Note that the SOAP Action header is not required as Exchange Web Services can determine the method to call from the local name of the root element in the SOAP body.

    - #### ERROR_INVALID_RESTRICTION

          public static final ResponseCode ERROR_INVALID_RESTRICTION

      This response code is not used.

    - #### ERROR_INVALID_RETENTION_TAG_TYPE_MISMATCH

          public static final ResponseCode ERROR_INVALID_RETENTION_TAG_TYPE_MISMATCH

      A policy tag of the wrong type was applied to an item or folder. The ErrorInvalidRetentionTagTypeMismatch field is applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.

    - #### ERROR_INVALID_RETENTION_TAG_INVISIBLE

          public static final ResponseCode ERROR_INVALID_RETENTION_TAG_INVISIBLE

      An invisible retention policy was applied to the item or folder. The ErrorInvalidRetentionTagInvisible field is applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.

    - #### ERROR_INVALID_RETENTION_TAG_INHERITANCE

          public static final ResponseCode ERROR_INVALID_RETENTION_TAG_INHERITANCE

      An implicit policy tag was applied to the target item or folder. The ErrorInvalidRetentionTagInheritance field is applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.

    - #### ERROR_INVALID_RETENTION_TAG_ID_GUID

          public static final ResponseCode ERROR_INVALID_RETENTION_TAG_ID_GUID

      Invalid retention tag identifer GUID. The ErrorInvalidRetentionTagIdGuid field is applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.

    - #### ERROR_INVALID_ROUTING_TYPE

          public static final ResponseCode ERROR_INVALID_ROUTING_TYPE

      This error occurs if the routing type that is passed for an EmailAddressType is invalid. Typically, the routing type is set to Simple Mail Transfer Protocol (SMTP).

    - #### ERROR_INVALID_SCHEDULED_OOF_DURATION

          public static final ResponseCode ERROR_INVALID_SCHEDULED_OOF_DURATION

      This error occurs if the specified duration end time is not greater than the start time, or if the end time does not occur in the future.

    - #### ERROR_INVALID_SECURITY_DESCRIPTOR

          public static final ResponseCode ERROR_INVALID_SECURITY_DESCRIPTOR

      This error indicates that the Exchange security descriptor on the Calendar folder in the store is corrupted.

    - #### ERROR_INVALID_SEND_ITEM_SAVE_SETTINGS

          public static final ResponseCode ERROR_INVALID_SEND_ITEM_SAVE_SETTINGS

      This error occurs during an attempt to send an item where the SavedItemFolderId is specified in the request but the SaveItemToFolder property is set to false.

    - #### ERROR_INVALID_SERIALIZED_ACCESS_TOKEN

          public static final ResponseCode ERROR_INVALID_SERIALIZED_ACCESS_TOKEN

      This error indicates that the token that was passed in the header is malformed, does not refer to a valid account in the directory, or is missing the primary group ConnectingSID.

    - #### ERROR_INVALID_SERVER_VERSION

          public static final ResponseCode ERROR_INVALID_SERVER_VERSION

      This error indicates that an invalid request server version was specified in the request.

    - #### ERROR_INVALID_SID

          public static final ResponseCode ERROR_INVALID_SID

      This error occurs when an invalid SID is passed in a request.

    - #### ERROR_INVALID_SIP_URI

          public static final ResponseCode ERROR_INVALID_SIP_URI

      Indicates that the SIP name, dial plan, or the phone number are invalid SIP URI.

    - #### ERROR_INVALID_SMTP_ADDRESS

          public static final ResponseCode ERROR_INVALID_SMTP_ADDRESS

      This error occurs when the SMTP address cannot be parsed.

    - #### ERROR_INVALID_SUBFILTER_TYPE

          public static final ResponseCode ERROR_INVALID_SUBFILTER_TYPE

      This response code is not used.

    - #### ERROR_INVALID_SUBFILTER_TYPE_NOT_ATTENDEE_TYPE

          public static final ResponseCode ERROR_INVALID_SUBFILTER_TYPE_NOT_ATTENDEE_TYPE

      This response code is not used.

    - #### ERROR_INVALID_SUBFILTER_TYPE_NOT_RECIPIENT_TYPE

          public static final ResponseCode ERROR_INVALID_SUBFILTER_TYPE_NOT_RECIPIENT_TYPE

      This response code is not used.

    - #### ERROR_INVALID_SUBSCRIPTION

          public static final ResponseCode ERROR_INVALID_SUBSCRIPTION

      This error indicates that the subscription is no longer valid. This could be because the Client Access server is restarting or because the subscription is expired.

    - #### ERROR_INVALID_SUBSCRIPTION_REQUEST

          public static final ResponseCode ERROR_INVALID_SUBSCRIPTION_REQUEST

      This error indicates that the subscribe request included multiple public folder IDs. A subscription can include multiple folders from the same mailbox or one public folder ID.

    - #### ERROR_INVALID_SYNC_STATE_DATA

          public static final ResponseCode ERROR_INVALID_SYNC_STATE_DATA

      This error is returned by SyncFolderItems or SyncFolderHierarchy if the SyncState data that is passed is invalid. To fix this error, you must resynchronize without the sync state. Make sure that if you are persisting sync state BLOBs, you are not accidentally truncating the BLOB.

    - #### ERROR_INVALID_TIME_INTERVAL

          public static final ResponseCode ERROR_INVALID_TIME_INTERVAL

      This error indicates that the specified time interval is invalid. The start time must be greater than or equal to the end time.

    - #### ERROR_INVALID_USER_OOF_SETTINGS

          public static final ResponseCode ERROR_INVALID_USER_OOF_SETTINGS

      This error indicates that the user Out of Office (OOF) settings are invalid because of a missing internal or external reply.

    - #### ERROR_INVALID_USER_PRINCIPAL_NAME

          public static final ResponseCode ERROR_INVALID_USER_PRINCIPAL_NAME

      This error occurs during Exchange Impersonation. The caller passed in an invalid UPN in the SOAP header that was not accessible in the directory.

    - #### ERROR_INVALID_USER_SID

          public static final ResponseCode ERROR_INVALID_USER_SID

      This error occurs when an invalid SID is passed in a request.

    - #### ERROR_INVALID_USER_SID_MISSING_UPN

          public static final ResponseCode ERROR_INVALID_USER_SID_MISSING_UPN

      This response code is not used.

    - #### ERROR_INVALID_VALUE_FOR_PROPERTY

          public static final ResponseCode ERROR_INVALID_VALUE_FOR_PROPERTY

      This error indicates that the comparison value in the restriction is invalid for the property you are comparing against. For example, the comparison value of DateTimeCreated > true would return this response code. This response code is also returned if you specify an enumeration property in the comparison, but the value that you are comparing against is not a valid value for that enumeration.

    - #### ERROR_INVALID_WATERMARK

          public static final ResponseCode ERROR_INVALID_WATERMARK

      This error is caused by an invalid watermark.

    - #### ERROR_IP_GATEWAY_NO_FOUND

          public static final ResponseCode ERROR_IP_GATEWAY_NO_FOUND

      Indicates that a valid VoIP gateway is not available.

    - #### ERROR_IRRESOLVABLE_CONFLICT

          public static final ResponseCode ERROR_IRRESOLVABLE_CONFLICT

      This error indicates that conflict resolution was unable to resolve changes for the properties. The items in the store may have been changed and have to be updated. Retrieve the updated change key and try again.

    - #### ERROR_ITEM_CORRUPT

          public static final ResponseCode ERROR_ITEM_CORRUPT

      This error indicates that the state of the object is corrupted and cannot be retrieved. When you are retrieving an item, only certain properties will be in this state, such as Body and MimeContent. Omit these properties and retry the operation.

    - #### ERROR_ITEM_NOT_FOUND

          public static final ResponseCode ERROR_ITEM_NOT_FOUND

      This error occurs when the item was not found or you do not have permission to access the item.

    - #### ERROR_ITEM_PROPERTY_REQUEST_FAILED

          public static final ResponseCode ERROR_ITEM_PROPERTY_REQUEST_FAILED

      This error occurs if a property request on an item fails. The property may exist, but it could not be retrieved.

    - #### ERROR_ITEM_SAVE

          public static final ResponseCode ERROR_ITEM_SAVE

      This error occurs when attempts to save the item or folder fail.

    - #### ERROR_ITEM_SAVE_PROPERTY_ERROR

          public static final ResponseCode ERROR_ITEM_SAVE_PROPERTY_ERROR

      This error occurs when attempts to save the item or folder fail because of invalid property values. The response code includes the path of the invalid properties.

    - #### ERROR_LEGACY_MAILBOX_FREE_BUSY_VIEW_TYPE_NOT_MERGED

          public static final ResponseCode ERROR_LEGACY_MAILBOX_FREE_BUSY_VIEW_TYPE_NOT_MERGED

      This response code is not used.

    - #### ERROR_LOCAL_SERVER_OBJECT_NOT_FOUND

          public static final ResponseCode ERROR_LOCAL_SERVER_OBJECT_NOT_FOUND

      This response code is not used.

    - #### ERROR_LOGON_AS_NETWORK_SERVICE_FAILED

          public static final ResponseCode ERROR_LOGON_AS_NETWORK_SERVICE_FAILED

      This error indicates that the Availability service was unable to log on as the network service to proxy requests to the appropriate sites or forests. This response typically indicates a configuration error.

    - #### ERROR_MAILBOX_CONFIGURATION

          public static final ResponseCode ERROR_MAILBOX_CONFIGURATION

      This error indicates that the mailbox information in AD DS is configured incorrectly.

    - #### ERROR_MAILBOX_DATA_ARRAY_EMPTY

          public static final ResponseCode ERROR_MAILBOX_DATA_ARRAY_EMPTY

      This error indicates that the MailboxDataArray property in the request is empty. You must supply at least one mailbox identifier.

    - #### ERROR_MAILBOX_DATA_ARRAY_TOO_BIG

          public static final ResponseCode ERROR_MAILBOX_DATA_ARRAY_TOO_BIG

      This error occurs when more than 100 entries are supplied in a MailboxDataArray.

    - #### ERROR_MAILBOX_HOLD_NOT_FOUND

          public static final ResponseCode ERROR_MAILBOX_HOLD_NOT_FOUND

      The referenced mailbox hold is not found. The ErrorMailboxHoldNotFound field is applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.

    - #### ERROR_MAILBOX_LOGON_FAILED

          public static final ResponseCode ERROR_MAILBOX_LOGON_FAILED

      This error occurs when the connection to the mailbox to get the calendar view information failed.

    - #### ERROR_MAILBOX_MOVE_IN_PROGRESS

          public static final ResponseCode ERROR_MAILBOX_MOVE_IN_PROGRESS

      This error indicates that the mailbox is being moved to a different mailbox store or server. This error can also indicate that the mailbox is on another server or mailbox database.

    - #### ERROR_MAILBOX_STORE_UNAVAILABLE

          public static final ResponseCode ERROR_MAILBOX_STORE_UNAVAILABLE

      This error indicates that one of the following error conditions occurred: The mailbox store is corrupt. The mailbox store is being stopped. The mailbox store is offline. A network error occurred when an attempt was made to access the mailbox store. The mailbox store is overloaded and cannot accept any more connections. The mailbox store has been paused.

    - #### ERROR_MAIL_RECIPIENT_NOT_FOUND

          public static final ResponseCode ERROR_MAIL_RECIPIENT_NOT_FOUND

      This error occurs if the MailboxData information cannot be mapped to a valid mailbox account.

    - #### ERROR_MAIL_TIPS_DISABLED

          public static final ResponseCode ERROR_MAIL_TIPS_DISABLED

      Indicates that mail tips are disabled.

    - #### ERROR_MANAGED_FOLDER_ALREADY_EXISTS

          public static final ResponseCode ERROR_MANAGED_FOLDER_ALREADY_EXISTS

      This error occurs if the managed folder that you are trying to create already exists in a mailbox.

    - #### ERROR_MANAGED_FOLDER_NOT_FOUND

          public static final ResponseCode ERROR_MANAGED_FOLDER_NOT_FOUND

      This error occurs when the folder name that was specified in the request does not map to a managed folder definition in AD DS. You can only create instances of managed folders for folders that are defined in AD DS. Check the name and try again.

    - #### ERROR_MANAGED_FOLDERS_ROOT_FAILURE

          public static final ResponseCode ERROR_MANAGED_FOLDERS_ROOT_FAILURE

      This error indicates that the managed folders root was deleted from the mailbox or that a folder exists in the same parent folder that has the name of the managed folder root. This will also occur if the attempt to create the root managed folder fails.

    - #### ERROR_MEETING_SUGGESTION_GENERATION_FAILED

          public static final ResponseCode ERROR_MEETING_SUGGESTION_GENERATION_FAILED

      This error indicates that the suggestions engine encountered a problem when it was trying to generate the suggestions.

    - #### ERROR_MESSAGE_DISPOSITION_REQUIRED

          public static final ResponseCode ERROR_MESSAGE_DISPOSITION_REQUIRED

      This error occurs if the MessageDisposition attribute is not set. This attribute is required for the following: The CreateItem Operation and the UpdateItem Operation when the item being created or updated is a Message. CancelCalendarItem, AcceptItem, DeclineItem, or TentativelyAcceptItem response objects.

    - #### ERROR_MESSAGE_SIZE_EXCEEDED

          public static final ResponseCode ERROR_MESSAGE_SIZE_EXCEEDED

      This error indicates that the message that you are trying to send exceeds the allowed limits.

    - #### ERROR_MIME_CONTENT_CONVERSION_FAILED

          public static final ResponseCode ERROR_MIME_CONTENT_CONVERSION_FAILED

      This error occurs when the MIME content is not a valid iCal for a CreateItem Operation. For a GetItem Operation, this response indicates that the MIME content could not be generated.

    - #### ERROR_MIME_CONTENT_INVALID

          public static final ResponseCode ERROR_MIME_CONTENT_INVALID

      This error occurs when the MIME content is invalid.

    - #### ERROR_MIME_CONTENT_INVALID_BASE64_STRING

          public static final ResponseCode ERROR_MIME_CONTENT_INVALID_BASE64_STRING

      This error occurs when the MIME content in the request is not a valid base 64 string.

    - #### ERROR_MISSING_ARGUMENT

          public static final ResponseCode ERROR_MISSING_ARGUMENT

      This error indicates that a required argument was missing from the request. The response message text indicates which argument to check.

    - #### ERROR_MISSING_EMAIL_ADDRESS

          public static final ResponseCode ERROR_MISSING_EMAIL_ADDRESS

      This error indicates that you specified a distinguished folder ID in the request, but the account that made the request does not have a mailbox on the system. In that case, you must supply a Mailbox sub-element under DistinguishedFolderId.

    - #### ERROR_MISSING_EMAIL_ADDRESS_FOR_MANAGED_FOLDER

          public static final ResponseCode ERROR_MISSING_EMAIL_ADDRESS_FOR_MANAGED_FOLDER

      This error indicates that you specified a distinguished folder ID in the request, but the account that made the request does not have a mailbox on the system. In that case, you must supply a Mailbox sub-element under DistinguishedFolderId. This response is returned from the CreateManagedFolder Operation.

    - #### ERROR_MISSING_INFORMATION_EMAIL_ADDRESS

          public static final ResponseCode ERROR_MISSING_INFORMATION_EMAIL_ADDRESS

      This error occurs if the EmailAddress element is missing.

    - #### ERROR_MISSING_INFORMATION_REFERENCE_ITEM_ID

          public static final ResponseCode ERROR_MISSING_INFORMATION_REFERENCE_ITEM_ID

      This error occurs if the ReferenceItemId is missing.

    - #### ERROR_MISSING_ITEM_FOR_CREATE_ITEM_ATTACHMENT

          public static final ResponseCode ERROR_MISSING_ITEM_FOR_CREATE_ITEM_ATTACHMENT

      This error is returned when an attempt is made to not include the item element in the ItemAttachment element of a CreateAttachment Operation request.

    - #### ERROR_MISSING_MANAGED_FOLDER_ID

          public static final ResponseCode ERROR_MISSING_MANAGED_FOLDER_ID

      This error occurs when the policy IDs property, property tag 0x6732, for the folder is missing. You should consider this a corrupted folder.

    - #### ERROR_MISSING_RECIPIENTS

          public static final ResponseCode ERROR_MISSING_RECIPIENTS

      This error indicates that you tried to send an item without including recipients. Note that if you call the CreateItem Operation with a message disposition that causes the message to be sent, you will get the following response code: ErrorInvalidRecipients.

    - #### ERROR_MISSING_USER_ID_INFORMATION

          public static final ResponseCode ERROR_MISSING_USER_ID_INFORMATION

      This error indicates that a UserId has not been fully specified in a permissions set.

    - #### ERROR_MORE_THAN_ONE_ACCESS_MODE_SPECIFIED

          public static final ResponseCode ERROR_MORE_THAN_ONE_ACCESS_MODE_SPECIFIED

      This error indicates that you have specified more than one ExchangeImpersonation property value within a request.

    - #### ERROR_MOVE_COPY_FAILED

          public static final ResponseCode ERROR_MOVE_COPY_FAILED

      This error indicates that the move or copy operation failed. Moving occurs in the CreateItem Operation when you accept a meeting request that is in the Deleted Items folder. In addition, if you decline a meeting request, cancel a calendar item, or remove a meeting from your calendar, it is moved to the Deleted Items folder.

    - #### ERROR_MOVE_DISTINGUISHED_FOLDER

          public static final ResponseCode ERROR_MOVE_DISTINGUISHED_FOLDER

      This error occurs if you try to move a distinguished folder.

    - #### ERROR_MULTI_LEGACY_MAILBOX_ACCESS

          public static final ResponseCode ERROR_MULTI_LEGACY_MAILBOX_ACCESS

      A request attempted to access multiple mailbox servers. The ErrorMultiLegacyMailboxAccess field is applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.

    - #### ERROR_NAME_RESOLUTION_MULTIPLE_RESULTS

          public static final ResponseCode ERROR_NAME_RESOLUTION_MULTIPLE_RESULTS

      This error occurs if the ResolveNames Operation returns more than one result or the ambiguous name that you specified matches more than one object in the directory. The response code includes the matched names in the response data.

    - #### ERROR_NAME_RESOLUTION_NO_MAILBOX

          public static final ResponseCode ERROR_NAME_RESOLUTION_NO_MAILBOX

      This error indicates that the caller does not have a mailbox on the system. The ResolveNames Operation or ExpandDL Operation is invalid for connecting a user without a mailbox.

    - #### ERROR_NAME_RESOLUTION_NO_RESULTS

          public static final ResponseCode ERROR_NAME_RESOLUTION_NO_RESULTS

      This error indicates that the ResolveNames Operation returns no results.

    - #### ERROR_NO_CALENDAR

          public static final ResponseCode ERROR_NO_CALENDAR

      This error occurs if there is no Calendar folder for the mailbox.

    - #### ERROR_NO_DESTINATION_CASDUE_TO_KERBEROS_REQUIREMENTS

          public static final ResponseCode ERROR_NO_DESTINATION_CASDUE_TO_KERBEROS_REQUIREMENTS

      This error indicates that the request referred to a mailbox in another Active Directory site, but no Client Access servers in the destination site were configured for Windows Authentication, and therefore the request could not be proxied.

    - #### ERROR_NO_DESTINATION_CASDUE_TO_SSLREQUIREMENTS

          public static final ResponseCode ERROR_NO_DESTINATION_CASDUE_TO_SSLREQUIREMENTS

      This error indicates that the request referred to a mailbox in another Active Directory site, but no Client Access servers in the destination site were configured for SSL connections, and therefore the request could not be proxied.

    - #### ERROR_NO_DESTINATION_CASDUE_TO_VERSION_MISMATCH

          public static final ResponseCode ERROR_NO_DESTINATION_CASDUE_TO_VERSION_MISMATCH

      This error indicates that the request referred to a mailbox in another Active Directory site, but no Client Access servers in the destination site were of an acceptable product version to receive the request, and therefore the request could not be proxied.

    - #### ERROR_NO_FOLDER_CLASS_OVERRIDE

          public static final ResponseCode ERROR_NO_FOLDER_CLASS_OVERRIDE

      This error occurs if you set the FolderClass property when you are creating an item other than a generic folder. For typed folders such as CalendarFolderType and TasksFolderType, the folder class is implied. Setting the folder class to a different folder type by using the UpdateFolder Operation results in the ErrorObjectTypeChanged response. Instead, use a generic folder type but set the folder class to the value that you require. Exchange Web Services will create the correct strongly typed folder.

    - #### ERROR_NO_FREE_BUSY_ACCESS

          public static final ResponseCode ERROR_NO_FREE_BUSY_ACCESS

      This error indicates that the caller does not have free/busy viewing rights on the Calendar folder in question.

    - #### ERROR_NON_EXISTENT_MAILBOX

          public static final ResponseCode ERROR_NON_EXISTENT_MAILBOX

      This error occurs in the following scenarios: The e-mail address is empty in CreateManagedFolder. The e-mail address does not refer to a valid account in a request that takes an e-mail address in the body or in the SOAP header, such as in an Exchange Impersonation call.

    - #### ERROR_NON_PRIMARY_SMTP_ADDRESS

          public static final ResponseCode ERROR_NON_PRIMARY_SMTP_ADDRESS

      This error occurs when a caller passes in a non-primary SMTP address. The response includes the correct SMTP address to use.

    - #### ERROR_NO_PROPERTY_TAG_FOR_CUSTOM_PROPERTIES

          public static final ResponseCode ERROR_NO_PROPERTY_TAG_FOR_CUSTOM_PROPERTIES

      This error indicates that MAPI properties in the custom range, 0x8000 and greater, cannot be referenced by property tags. You must use the PropertySetId property or the DistinguishedPropertySetId property together with the PropertyName or PropertyId properties.

    - #### ERROR_NO_PUBLIC_FOLDER_REPLICA_AVAILABLE

          public static final ResponseCode ERROR_NO_PUBLIC_FOLDER_REPLICA_AVAILABLE

      This response code is not used.

    - #### ERROR_NO_PUBLIC_FOLDER_SERVER_AVAILABLE

          public static final ResponseCode ERROR_NO_PUBLIC_FOLDER_SERVER_AVAILABLE

      Indicates that no public folder server was available to handle the request. The content was not available on the caller’s home public server (or they don’t have one) and was not found on any replica servers.

    - #### ERROR_NO_RESPONDING_CASIN_DESTINATION_SITE

          public static final ResponseCode ERROR_NO_RESPONDING_CASIN_DESTINATION_SITE

      This error indicates that the request referred to a mailbox in another Active Directory site, but none of the Client Access servers in that site responded, and therefore the request could not be proxied.

    - #### ERROR_NOT_DELEGATE

          public static final ResponseCode ERROR_NOT_DELEGATE

      This error indicates that the user is not a delegate for the mailbox. It is returned by the GetDelegate Operation, the RemoveDelegate Operation, and the UpdateDelegate Operation when the specified delegate user is not found in the list of delegates.

    - #### ERROR_NOT_ENOUGH_MEMORY

          public static final ResponseCode ERROR_NOT_ENOUGH_MEMORY

      This error indicates that the operation could not be completed because of insufficient memory.

    - #### ERROR_OBJECT_TYPE_CHANGED

          public static final ResponseCode ERROR_OBJECT_TYPE_CHANGED

      This error occurs if the object type changed.

    - #### ERROR_OCCURRENCE_CROSSING_BOUNDARY

          public static final ResponseCode ERROR_OCCURRENCE_CROSSING_BOUNDARY

      This error occurs when the Start or End time of an occurrence is updated so that the occurrence is scheduled to happen earlier or later than the corresponding previous or next occurrence.

    - #### ERROR_OCCURRENCE_TIME_SPAN_TOO_BIG

          public static final ResponseCode ERROR_OCCURRENCE_TIME_SPAN_TOO_BIG

      This error indicates that the time allotment for a given occurrence overlaps with another occurrence of the same recurring item. This response also occurs when the length in minutes of a given occurrence is larger than Int32.MaxValue.

    - #### ERROR_OPERATION_NOT_ALLOWED_WITH_PUBLIC_FOLDER_ROOT

          public static final ResponseCode ERROR_OPERATION_NOT_ALLOWED_WITH_PUBLIC_FOLDER_ROOT

      This error indicates that the current operation is not valid for the public folder root.

    - #### ERROR_PARENT_FOLDER_ID_REQUIRED

          public static final ResponseCode ERROR_PARENT_FOLDER_ID_REQUIRED

      This response code is not used.

    - #### ERROR_PARENT_FOLDER_NOT_FOUND

          public static final ResponseCode ERROR_PARENT_FOLDER_NOT_FOUND

      This error occurs in the CreateFolder Operation when the parent folder is not found.

    - #### ERROR_PASSWORD_CHANGE_REQUIRED

          public static final ResponseCode ERROR_PASSWORD_CHANGE_REQUIRED

      This error indicates that you must change your password before you can access this mailbox. This occurs when a new account has been created and the administrator indicated that the user must change the password at first logon. You cannot update the password by using Exchange Web Services. You must use a tool such as Microsoft Office Outlook Web App to change your password.

    - #### ERROR_PASSWORD_EXPIRED

          public static final ResponseCode ERROR_PASSWORD_EXPIRED

      This error indicates that the password has expired. You cannot change the password by using Exchange Web Services. You must use a tool such as Outlook Web App to change your password.

    - #### ERROR_PHONE_NUMBER_NOT_DIALABLE

          public static final ResponseCode ERROR_PHONE_NUMBER_NOT_DIALABLE

      Indicates that the phone number was not in the correct phone form.

    - #### ERROR_PROPERTY_UPDATE

          public static final ResponseCode ERROR_PROPERTY_UPDATE

      This error indicates that the update failed because of invalid property values. The response message includes the invalid property paths.

    - #### ERROR_PROMPT_PUBLISHING_OPERATION_FAILED

          public static final ResponseCode ERROR_PROMPT_PUBLISHING_OPERATION_FAILED

    - #### ERROR_PROPERTY_VALIDATION_FAILURE

          public static final ResponseCode ERROR_PROPERTY_VALIDATION_FAILURE

      This response code is not used.

    - #### ERROR_PROXIED_SUBSCRIPTION_CALL_FAILURE

          public static final ResponseCode ERROR_PROXIED_SUBSCRIPTION_CALL_FAILURE

      This error indicates that the request referred to a subscription that exists on another Client Access server, but an attempt to proxy the request to that Client Access server failed.

    - #### ERROR_PROXY_CALL_FAILED

          public static final ResponseCode ERROR_PROXY_CALL_FAILED

      This response code is not used.

    - #### ERROR_PROXY_GROUP_SID_LIMIT_EXCEEDED

          public static final ResponseCode ERROR_PROXY_GROUP_SID_LIMIT_EXCEEDED

      This error indicates that the request referred to a mailbox in another Active Directory site, and the original caller is a member of more than 3,000 groups.

    - #### ERROR_PROXY_REQUEST_NOT_ALLOWED

          public static final ResponseCode ERROR_PROXY_REQUEST_NOT_ALLOWED

      This error indicates that the request that Exchange Web Services sent to another Client Access server when trying to fulfill a GetUserAvailability request was invalid. This response code typically indicates that a configuration or rights error has occurred, or that someone tried unsuccessfully to mimic an availability proxy request.

    - #### ERROR_PROXY_REQUEST_PROCESSING_FAILED

          public static final ResponseCode ERROR_PROXY_REQUEST_PROCESSING_FAILED

      This error indicates that Exchange Web Services tried to proxy an availability request to another Client Access server for fulfillment, but the request failed. This response can be caused by network connectivity issues or request timeout issues.

    - #### ERROR_PROXY_TOKEN_EXPIRED

          public static final ResponseCode ERROR_PROXY_TOKEN_EXPIRED

      This response code is not used.

    - #### ERROR_PUBLIC_FOLDER_MAILBOX_DISCOVERY_FAILED

          public static final ResponseCode ERROR_PUBLIC_FOLDER_MAILBOX_DISCOVERY_FAILED

    - #### ERROR_PUBLIC_FOLDER_OPERATION_FAILED

          public static final ResponseCode ERROR_PUBLIC_FOLDER_OPERATION_FAILED

    - #### ERROR_PUBLIC_FOLDER_REQUEST_PROCESSING_FAILED

          public static final ResponseCode ERROR_PUBLIC_FOLDER_REQUEST_PROCESSING_FAILED

      This error occurs when the recipient that was passed to the GetUserAvailability Operation is located on a computer that is running a version of Exchange Server that is earlier than Exchange 2007, and the request to retrieve free/busy information for the recipient from the public folder server failed.

    - #### ERROR_PUBLIC_FOLDER_SERVER_NOT_FOUND

          public static final ResponseCode ERROR_PUBLIC_FOLDER_SERVER_NOT_FOUND

      This error occurs when the recipient that was passed to the GetUserAvailability Operation is located on a computer that is running a version of Exchange Server that is earlier than Exchange 2007, and the request to retrieve free/busy information for the recipient from the public folder server failed because the organizational unit did not have an associated public folder server.

    - #### ERROR_PUBLIC_FOLDER_SYNC_EXCEPTION

          public static final ResponseCode ERROR_PUBLIC_FOLDER_SYNC_EXCEPTION

    - #### ERROR_QUERY_FILTER_TOO_LONG

          public static final ResponseCode ERROR_QUERY_FILTER_TOO_LONG

      This error indicates that the search folder restriction may be valid, but it is not supported by EWS. Exchange Web Services limits restrictions to contain a maximum of 255 filter expressions. If you try to bind to an existing search folder that exceeds 255, this response code is returned.

    - #### ERROR_QUOTA_EXCEEDED

          public static final ResponseCode ERROR_QUOTA_EXCEEDED

      This error occurs when the mailbox quota is exceeded.

    - #### ERROR_READ_EVENTS_FAILED

          public static final ResponseCode ERROR_READ_EVENTS_FAILED

      This error is returned by the GetEvents Operation or push notifications when a failure occurs while retrieving event information. When this error is returned, the subscription is deleted. Re-create the event synchronization based on a last known watermark.

    - #### ERROR_READ_RECEIPT_NOT_PENDING

          public static final ResponseCode ERROR_READ_RECEIPT_NOT_PENDING

      This error is returned by the CreateItem Operation if an attempt was made to suppress a read receipt when the message sender did not request a read receipt on the message or if the message is in the Junk E-mail folder.

    - #### ERROR_RECURRENCE_END_DATE_TOO_BIG

          public static final ResponseCode ERROR_RECURRENCE_END_DATE_TOO_BIG

      This error occurs when the end date for the recurrence is after 9/1/4500.

    - #### ERROR_RECURRENCE_HAS_NO_OCCURRENCE

          public static final ResponseCode ERROR_RECURRENCE_HAS_NO_OCCURRENCE

      This error occurs when the specified recurrence does not have any occurrence instances in the specified range.

    - #### ERROR_REMOVE_DELEGATES_FAILED

          public static final ResponseCode ERROR_REMOVE_DELEGATES_FAILED

      This error indicates that the delegate list failed to be saved after delegates were removed.

    - #### ERROR_REQUEST_ABORTED

          public static final ResponseCode ERROR_REQUEST_ABORTED

      This response code is not used.

    - #### ERROR_REQUEST_STREAM_TOO_BIG

          public static final ResponseCode ERROR_REQUEST_STREAM_TOO_BIG

      This error occurs when the request stream is larger than 400 KB.

    - #### ERROR_REQUIRED_PROPERTY_MISSING

          public static final ResponseCode ERROR_REQUIRED_PROPERTY_MISSING

      This error is returned when a required property is missing in a CreateAttachment Operation request. The missing property URI is included in the response.

    - #### ERROR_RESOLVE_NAMES_INVALID_FOLDER_TYPE

          public static final ResponseCode ERROR_RESOLVE_NAMES_INVALID_FOLDER_TYPE

      This error indicates that the caller has specified a folder that is not a contacts folder to the ResolveNames Operation.

    - #### ERROR_RESOLVE_NAMES_ONLY_ONE_CONTACTS_FOLDER_ALLOWED

          public static final ResponseCode ERROR_RESOLVE_NAMES_ONLY_ONE_CONTACTS_FOLDER_ALLOWED

      This error indicates that the caller has specified more than one contacts folder to the ResolveNames Operation.

    - #### ERROR_RESPONSE_SCHEMA_VALIDATION

          public static final ResponseCode ERROR_RESPONSE_SCHEMA_VALIDATION

      This response code is not used.

    - #### ERROR_RESTRICTION_TOO_LONG

          public static final ResponseCode ERROR_RESTRICTION_TOO_LONG

      This error occurs if the restriction contains more than 255 nodes.

    - #### ERROR_RESTRICTION_TOO_COMPLEX

          public static final ResponseCode ERROR_RESTRICTION_TOO_COMPLEX

      This error occurs when the restriction cannot be evaluated by Exchange Web Services.

    - #### ERROR_RESULT_SET_TOO_BIG

          public static final ResponseCode ERROR_RESULT_SET_TOO_BIG

      This error indicates that the number of calendar entries for a given recipient exceeds the allowed limit of 1000. Reduce the window and try again.

    - #### ERROR_INVALID_EXCHANGE_IMPERSONATION_HEADER_DATA

          public static final ResponseCode ERROR_INVALID_EXCHANGE_IMPERSONATION_HEADER_DATA

      This error occurs during Exchange Impersonation when a caller does not specify a UPN, an e-mail address, or a user SID. This will also occur if the caller specifies one or more of those and the values are empty.

    - #### ERROR_SAVED_ITEM_FOLDER_NOT_FOUND

          public static final ResponseCode ERROR_SAVED_ITEM_FOLDER_NOT_FOUND

      This error occurs when the SavedItemFolderId is not found.

    - #### ERROR_SCHEMA_VALIDATION

          public static final ResponseCode ERROR_SCHEMA_VALIDATION

      This error occurs when the request cannot be validated against the schema.

    - #### ERROR_SEARCH_FOLDER_NOT_INITIALIZED

          public static final ResponseCode ERROR_SEARCH_FOLDER_NOT_INITIALIZED

      This error indicates that the search folder was created, but the search criteria were never set on the folder. This only occurs when you access corrupted search folders that were created by using another API or client. To fix this error, use the UpdateFolder Operation to set the SearchParameters to include the restriction that should be on the folder.

    - #### ERROR_SEND_AS_DENIED

          public static final ResponseCode ERROR_SEND_AS_DENIED

      This error occurs when both of the following conditions occur: A user has been granted CanActAsOwner permissions but is not granted delegate rights on the principal?s mailbox. The same user tries to create and send an e-mail message in the principal?s mailbox by using the SendAndSaveCopy option. The result is an ErrorSendAsDenied error and the creation of the e-mail message in the principal?s Drafts folder.

    - #### ERROR_SEND_MEETING_CANCELLATIONS_REQUIRED

          public static final ResponseCode ERROR_SEND_MEETING_CANCELLATIONS_REQUIRED

      This error is returned by the DeleteItem Operation if the SendMeetingCancellations attribute is missing from the request and the item to delete is a calendar item.

    - #### ERROR_SEND_MEETING_INVITATIONS_OR_CANCELLATIONS_REQUIRED

          public static final ResponseCode ERROR_SEND_MEETING_INVITATIONS_OR_CANCELLATIONS_REQUIRED

      This error is returned by the UpdateItem Operation if the SendMeetingInvitationsOrCancellations attribute is missing from the request and the item to update is a calendar item.

    - #### ERROR_SEND_MEETING_INVITATIONS_REQUIRED

          public static final ResponseCode ERROR_SEND_MEETING_INVITATIONS_REQUIRED

      This error is returned by the CreateItem Operation if the SendMeetingInvitations attribute is missing from the request and the item to create is a calendar item.

    - #### ERROR_SENT_MEETING_REQUEST_UPDATE

          public static final ResponseCode ERROR_SENT_MEETING_REQUEST_UPDATE

      This error indicates that after the organizer sends a meeting request, the request cannot be updated. To modify the meeting, modify the calendar item, not the meeting request.

    - #### ERROR_SENT_TASK_REQUEST_UPDATE

          public static final ResponseCode ERROR_SENT_TASK_REQUEST_UPDATE

      This error indicates that after the task initiator sends a task request, that request cannot be updated.

    - #### ERROR_SERVER_BUSY

          public static final ResponseCode ERROR_SERVER_BUSY

      This error occurs when the server is busy.

    - #### ERROR_SERVICE_DISCOVERY_FAILED

          public static final ResponseCode ERROR_SERVICE_DISCOVERY_FAILED

      This error indicates that Exchange Web Services tried to proxy a user availability request to the appropriate forest for the recipient, but it could not determine where to send the request because of a service discovery failure.

    - #### ERROR_STALE_OBJECT

          public static final ResponseCode ERROR_STALE_OBJECT

      This error occurs in an UpdateItem Operation or a SendItem Operation when the change key is not up-to-date or was not supplied. Call the GetItem Operation to retrieve an updated change key and then try the operation again.

    - #### ERROR_SUBMISSION_QUOTA_EXCEEDED

          public static final ResponseCode ERROR_SUBMISSION_QUOTA_EXCEEDED

      Indicates that a user cannot immediately send more request because the submission quota has been reached.

    - #### ERROR_SUBSCRIPTION_ACCESS_DENIED

          public static final ResponseCode ERROR_SUBSCRIPTION_ACCESS_DENIED

      This error occurs when you try to access a subscription by using an account that did not create that subscription. Each subscription can only be accessed by the creator of the subscription.\

    - #### ERROR_SUBSCRIPTION_DELEGATE_ACCESS_NOT_SUPPORTED

          public static final ResponseCode ERROR_SUBSCRIPTION_DELEGATE_ACCESS_NOT_SUPPORTED

      This error indicates that you cannot create a subscription if you are not the owner or do not have owner access to the mailbox.

    - #### ERROR_SUBSCRIPTION_NOT_FOUND

          public static final ResponseCode ERROR_SUBSCRIPTION_NOT_FOUND

      This error occurs if the subscription that corresponds to the specified SubscriptionId is not found. The subscription may have expired, the Exchange Web Services process may have been restarted, or an invalid subscription was passed in. If the subscription was valid, re-create the subscription with the latest watermark. This is returned by the Unsubscribe Operation or the GetEvents Operation responses.

    - #### ERROR_SUBSCRIPTION_UNSUBSCRIBED

          public static final ResponseCode ERROR_SUBSCRIPTION_UNSUBSCRIBED

      Indicates that the client is not subscribed to the subscription.

    - #### ERROR_SYNC_FOLDER_NOT_FOUND

          public static final ResponseCode ERROR_SYNC_FOLDER_NOT_FOUND

      This error is returned by the SyncFolderItems Operation if the parent folder that is specified cannot be found.

    - #### ERROR_TEAM_MAILBOX_NOT_FOUND

          public static final ResponseCode ERROR_TEAM_MAILBOX_NOT_FOUND

      The site mailbox was not found. The ErrorTeamMailboxNotFound field is applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.

    - #### ERROR_TEAM_MAILBOX_NOT_LINKED_TO_SHARE_POINT

          public static final ResponseCode ERROR_TEAM_MAILBOX_NOT_LINKED_TO_SHARE_POINT

      The site mailbox is not linked to an online team portal. The ErrorTeamMailboxNotLinkedToSharePoint field is applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.

    - #### ERROR_TEAM_MAILBOX_URL_VALIDATION_FAILED

          public static final ResponseCode ERROR_TEAM_MAILBOX_URL_VALIDATION_FAILED

      The site mailbox URL validation failed. The ErrorTeamMailboxUrlValidationFailed field is applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.

    - #### ERROR_TEAM_MAILBOX_NOT_AUTHORIZED_OWNER

          public static final ResponseCode ERROR_TEAM_MAILBOX_NOT_AUTHORIZED_OWNER

      The associated action can be done only by an authorized owner of the site mailbox. The ErrorTeamMailboxNotAuthorizedOwner field is applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.

    - #### ERROR_TEAM_MAILBOX_ACTIVE_TO_PENDING_DELETE

          public static final ResponseCode ERROR_TEAM_MAILBOX_ACTIVE_TO_PENDING_DELETE

      A site mailbox has not been closed prior to setting its TeamMailboxLifecycleState enumeration value to PendingDelete. The ErrorTeamMailboxActiveToPendingDelete field is applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.

    - #### ERROR_TEAM_MAILBOX_FAILED_SENDING_NOTIFICATIONS

          public static final ResponseCode ERROR_TEAM_MAILBOX_FAILED_SENDING_NOTIFICATIONS

      The site mailbox failed to send notifications. The ErrorTeamMailboxFailedSendingNotifications field is applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.

    - #### ERROR_TEAM_MAILBOX_ERROR_UNKNOWN

          public static final ResponseCode ERROR_TEAM_MAILBOX_ERROR_UNKNOWN

      The site mailbox error is unknown. The ErrorTeamMailboxErrorUnknown field is applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.

    - #### ERROR_TIME_INTERVAL_TOO_BIG

          public static final ResponseCode ERROR_TIME_INTERVAL_TOO_BIG

      This error indicates that the time window that was specified is larger than the allowed limit. By default, the allowed limit is 42.

    - #### ERROR_TIMEOUT_EXPIRED

          public static final ResponseCode ERROR_TIMEOUT_EXPIRED

      This error occurs when there is not enough time to complete the processing of the request.

    - #### ERROR_TO_FOLDER_NOT_FOUND

          public static final ResponseCode ERROR_TO_FOLDER_NOT_FOUND

      This error indicates that the destination folder does not exist.

    - #### ERROR_TOKEN_SERIALIZATION_DENIED

          public static final ResponseCode ERROR_TOKEN_SERIALIZATION_DENIED

      This error occurs if the caller tries to do a Token serialization request but does not have the ms-Exch-EPI-TokenSerialization right on the Client Access server.

    - #### ERROR_UPDATE_PROPERTY_MISMATCH

          public static final ResponseCode ERROR_UPDATE_PROPERTY_MISMATCH

      This error occurs when the single property path that is listed in a change description does not match the single property that is being set within the actual ItemType or FolderType object.

    - #### ERROR_UNIFIED_MESSAGING_DIAL_PLAN_NOT_FOUND

          public static final ResponseCode ERROR_UNIFIED_MESSAGING_DIAL_PLAN_NOT_FOUND

      Indicates that a user's dial plan is not available.

    - #### ERROR_UNIFIED_MESSAGING_REPORT_DATA_NOT_FOUND

          public static final ResponseCode ERROR_UNIFIED_MESSAGING_REPORT_DATA_NOT_FOUND

    - #### ERROR_UNIFIED_MESSAGING_PROMPT_NOT_FOUND

          public static final ResponseCode ERROR_UNIFIED_MESSAGING_PROMPT_NOT_FOUND

    - #### ERROR_UNIFIED_MESSAGING_REQUEST_FAILED

          public static final ResponseCode ERROR_UNIFIED_MESSAGING_REQUEST_FAILED

      Indicates that the user could not be found.

    - #### ERROR_UNIFIED_MESSAGING_SERVER_NOT_FOUND

          public static final ResponseCode ERROR_UNIFIED_MESSAGING_SERVER_NOT_FOUND

      Indicates that a valid server for the dial plan can be found to handle the request.

    - #### ERROR_UNABLE_TO_GET_USER_OOF_SETTINGS

          public static final ResponseCode ERROR_UNABLE_TO_GET_USER_OOF_SETTINGS

      This response code is not used.

    - #### ERROR_UNABLE_TO_REMOVE_IM_CONTACT_FROM_GROUP

          public static final ResponseCode ERROR_UNABLE_TO_REMOVE_IM_CONTACT_FROM_GROUP

    - #### ERROR_UNSUPPORTED_SUB_FILTER

          public static final ResponseCode ERROR_UNSUPPORTED_SUB_FILTER

      This response code is not used.

    - #### ERROR_UNSUPPORTED_CULTURE

          public static final ResponseCode ERROR_UNSUPPORTED_CULTURE

      This error occurs when you try to set the Culture property to a value that is not parsable by the System.Globalization.CultureInfo class.

    - #### ERROR_UNSUPPORTED_MAPI_PROPERTY_TYPE

          public static final ResponseCode ERROR_UNSUPPORTED_MAPI_PROPERTY_TYPE

      This error occurs when a caller tries to use extended properties of types object, object array, error, or null.

    - #### ERROR_UNSUPPORTED_MIME_CONVERSION

          public static final ResponseCode ERROR_UNSUPPORTED_MIME_CONVERSION

      This error occurs when you are trying to retrieve or set MIME content for an item other than a PostItemType, MessageType, or CalendarItemType object.

    - #### ERROR_UNSUPPORTED_PATH_FOR_QUERY

          public static final ResponseCode ERROR_UNSUPPORTED_PATH_FOR_QUERY

      This error occurs when the caller passes a property that is invalid for a query. This can occur when calculated properties are used.

    - #### ERROR_UNSUPPORTED_PATH_FOR_SORT_GROUP

          public static final ResponseCode ERROR_UNSUPPORTED_PATH_FOR_SORT_GROUP

      This error occurs when the caller passes a property that is invalid for a sort or group by property. This can occur when calculated properties are used.

    - #### ERROR_UNSUPPORTED_PROPERTY_DEFINITION

          public static final ResponseCode ERROR_UNSUPPORTED_PROPERTY_DEFINITION

      This response code is not used.

    - #### ERROR_UNSUPPORTED_QUERY_FILTER

          public static final ResponseCode ERROR_UNSUPPORTED_QUERY_FILTER

      This error indicates that the search folder restriction may be valid, but it is not supported by EWS.

    - #### ERROR_UNSUPPORTED_RECURRENCE

          public static final ResponseCode ERROR_UNSUPPORTED_RECURRENCE

      This error indicates that the specified recurrence is not supported for tasks.

    - #### ERROR_UNSUPPORTED_TYPE_FOR_CONVERSION

          public static final ResponseCode ERROR_UNSUPPORTED_TYPE_FOR_CONVERSION

      This error indicates that Exchange Web Services found a property type in the store but it cannot generate XML for the property type.

    - #### ERROR_UPDATE_DELEGATES_FAILED

          public static final ResponseCode ERROR_UPDATE_DELEGATES_FAILED

      This error indicates that the delegate list failed to be saved after delegates were updated.

    - #### ERROR_USER_NOT_UNIFIED_MESSAGING_ENABLED

          public static final ResponseCode ERROR_USER_NOT_UNIFIED_MESSAGING_ENABLED

      Indicates that the requester is not enabled.

    - #### ERROR_VOICE_MAIL_NOT_IMPLEMENTED

          public static final ResponseCode ERROR_VOICE_MAIL_NOT_IMPLEMENTED

      This response code is not used.

    - #### ERROR_VALUE_OUT_OF_RANGE

          public static final ResponseCode ERROR_VALUE_OUT_OF_RANGE

      Indicates that a calendar view start date or end date was set to 1/1/0001 12:00:00 AM or 12/31/9999 11:59:59 PM.

    - #### ERROR_VIRUS_DETECTED

          public static final ResponseCode ERROR_VIRUS_DETECTED

    - #### ERROR_VIRUS_MESSAGE_DELETED

          public static final ResponseCode ERROR_VIRUS_MESSAGE_DELETED

      This error indicates that the Exchange store detected a virus in the message.

    - #### ERROR_WEB_REQUEST_IN_INVALID_STATE

          public static final ResponseCode ERROR_WEB_REQUEST_IN_INVALID_STATE

      This response code is not used.

    - #### ERROR_WIN32_INTEROP_ERROR

          public static final ResponseCode ERROR_WIN32_INTEROP_ERROR

      This error indicates that there was an internal failure during communication with unmanaged code.

    - #### ERROR_WORKING_HOURS_SAVE_FAILED

          public static final ResponseCode ERROR_WORKING_HOURS_SAVE_FAILED

      This response code is not used.

    - #### ERROR_WORKING_HOURS_XML_MALFORMED

          public static final ResponseCode ERROR_WORKING_HOURS_XML_MALFORMED

      This response code is not used.

    - #### ERROR_WRONG_SERVER_VERSION

          public static final ResponseCode ERROR_WRONG_SERVER_VERSION

      Indicates that a request can be made only to a server that is the same version as the mailbox server.

    - #### ERROR_WRONG_SERVER_VERSION_DELEGATE

          public static final ResponseCode ERROR_WRONG_SERVER_VERSION_DELEGATE

      Indicates that a request was made by a delegate that has a different server version than the principal's mailbox server.

    - #### ERROR_MISSING_INFORMATION_SHARING_FOLDER_ID

          public static final ResponseCode ERROR_MISSING_INFORMATION_SHARING_FOLDER_ID

    - #### ERROR_DUPLICATE_SOAP_HEADER

          public static final ResponseCode ERROR_DUPLICATE_SOAP_HEADER

      Indicates that there are duplicate SOAP headers.

    - #### ERROR_SHARING_SYNCHRONIZATION_FAILED

          public static final ResponseCode ERROR_SHARING_SYNCHRONIZATION_FAILED

      Indicates that an attempt at synchronizing a sharing folder failed. This error code is returned when: the subscription for a sharing folder is not found; the sharing folder is not found; the corresponding directory user is not found; the user no longer exists; the appointment is invalid; the contact item is invalid; there is a communication failure with the remote server.

    - #### ERROR_SHARING_NO_EXTERNAL_EWS_AVAILABLE

          public static final ResponseCode ERROR_SHARING_NO_EXTERNAL_EWS_AVAILABLE

      Indicates that the external URL property has not been set in the Active Directory directory service database.

    - #### ERROR_FREE_BUSY_DL_LIMIT_REACHED

          public static final ResponseCode ERROR_FREE_BUSY_DL_LIMIT_REACHED

      Indicates that the maximum group member count has been reached for obtaining free/busy information for a distribution list.

    - #### ERROR_INVALID_GET_SHARING_FOLDER_REQUEST

          public static final ResponseCode ERROR_INVALID_GET_SHARING_FOLDER_REQUEST

      Indicates that the DataType and ShareFolderId elements are both present in a request.

    - #### ERROR_NOT_ALLOWED_EXTERNAL_SHARING_BY_POLICY

          public static final ResponseCode ERROR_NOT_ALLOWED_EXTERNAL_SHARING_BY_POLICY

      Indicates that the caller attempted to grant permissions in its calendar or contacts folder to a user in another organization but the attempt failed.

    - #### ERROR_USER_NOT_ALLOWED_BY_POLICY

          public static final ResponseCode ERROR_USER_NOT_ALLOWED_BY_POLICY

      Indicates that the requester attempted to grant permissions in its calendar or contacts folder to an external user, but the sharing policy assigned to the requester indicates that the domain of the external user is not listed in the policy.

    - #### ERROR_PERMISSION_NOT_ALLOWED_BY_POLICY

          public static final ResponseCode ERROR_PERMISSION_NOT_ALLOWED_BY_POLICY

      Indicates that the requester attempted to grant permissions in its calendar or contacts folder to an external user, but the sharing policy assigned to the requester indicates that the requested permission level is higher is than what the sharing policy allows.

    - #### ERROR_ORGANIZATIONAL_NOT_FEDERATED

          public static final ResponseCode ERROR_ORGANIZATIONAL_NOT_FEDERATED

      Indicates that the requester's organization is not federated, so the requester cannot create sharing messages to send to an external user or cannot accept sharing messages received from an external user.

    - #### ERROR_MAILBOX_FAILOVER

          public static final ResponseCode ERROR_MAILBOX_FAILOVER

      Indicates that an attempt to access a mailbox failed because the mailbox is in a failover process.

    - #### ERROR_INVALID_EXTERNAL_SHARING_INITIATOR

          public static final ResponseCode ERROR_INVALID_EXTERNAL_SHARING_INITIATOR

      Indicates that the sharing invitation sender did not create the sharing invitation metadata.

    - #### ERROR_MESSAGE_TRACKING_PERMANENT_ERROR

          public static final ResponseCode ERROR_MESSAGE_TRACKING_PERMANENT_ERROR

      Indicates that the message tracking service cannot track the message.

    - #### ERROR_MESSAGE_TRACKING_TRANSIENT_ERROR

          public static final ResponseCode ERROR_MESSAGE_TRACKING_TRANSIENT_ERROR

      Indicates that the message tracking service is either down or busy. This error code indicates a transient error. When clients receive this error, they can try again to connect to the server.

    - #### ERROR_MESSAGE_TRACKING_NO_SUCH_DOMAIN

          public static final ResponseCode ERROR_MESSAGE_TRACKING_NO_SUCH_DOMAIN

      Indicates that the specified domain cannot be found.

    - #### ERROR_USER_WITHOUT_FEDERATED_PROXY_ADDRESS

          public static final ResponseCode ERROR_USER_WITHOUT_FEDERATED_PROXY_ADDRESS

      Indicates that the requester's organization has a set of federated domains but the requester's organization does not have any SMTP proxy addresses with one of the federated domains.

    - #### ERROR_INVALID_ORGANIZATION_RELATIONSHIP_FOR_FREE_BUSY

          public static final ResponseCode ERROR_INVALID_ORGANIZATION_RELATIONSHIP_FOR_FREE_BUSY

      Indicates that a caller requested free/busy information for a user in another organization but the organizational relationship does not have free/busy enabled.

    - #### ERROR_INVALID_FEDERATED_ORGANIZATION_ID

          public static final ResponseCode ERROR_INVALID_FEDERATED_ORGANIZATION_ID

      Indicates that the requestor's organization federation objects are not properly configured.

    - #### ERROR_INVALID_EXTERNAL_SHARING_SUBSCRIBER

          public static final ResponseCode ERROR_INVALID_EXTERNAL_SHARING_SUBSCRIBER

      Indicates that a sharing message is not intended for the caller.

    - #### ERROR_INVALID_SHARING_DATA

          public static final ResponseCode ERROR_INVALID_SHARING_DATA

      Indicates that the sharing metadata is not valid. This can be caused by invalid XML.

    - #### ERROR_INVALID_SHARING_MESSAGE

          public static final ResponseCode ERROR_INVALID_SHARING_MESSAGE

      Indicates that the sharing message is not valid. This can be caused by a missing property.

    - #### ERROR_NOT_SUPPORTED_SHARING_MESSAGE

          public static final ResponseCode ERROR_NOT_SUPPORTED_SHARING_MESSAGE

      Indicates that the sharing message is not supported.

    - #### ERROR_APPLY_CONVERSATION_ACTION_FAILED

          public static final ResponseCode ERROR_APPLY_CONVERSATION_ACTION_FAILED

      This member was introduced in Exchange Server 2010 Service Pack 1 (SP1) and applies to versions of Exchange Server starting with Exchange Server 2010 SP1 and Exchange Online.

    - #### ERROR_INBOX_RULES_VALIDATION_ERROR

          public static final ResponseCode ERROR_INBOX_RULES_VALIDATION_ERROR

      This member was introduced in Exchange Server 2010 Service Pack 1 (SP1) and applies to versions of Exchange Server starting with Exchange Server 2010 SP1 and Exchange Online.

    - #### ERROR_OUTLOOK_RULE_BLOB_EXISTS

          public static final ResponseCode ERROR_OUTLOOK_RULE_BLOB_EXISTS

      This member was introduced in Exchange Server 2010 Service Pack 1 (SP1) and applies to versions of Exchange Server starting with Exchange Server 2010 SP1 and Exchange Online.

    - #### ERROR_RULES_OVER_QUOTA

          public static final ResponseCode ERROR_RULES_OVER_QUOTA

      This member was introduced in Exchange Server 2010 Service Pack 1 (SP1) and applies to versions of Exchange Server starting with Exchange Server 2010 SP1 and Exchange Online.

    - #### ERROR_NEW_EVENT_STREAM_CONNECTION_OPENED

          public static final ResponseCode ERROR_NEW_EVENT_STREAM_CONNECTION_OPENED

      This member was introduced in Exchange Server 2010 Service Pack 1 (SP1) and applies to versions of Exchange Server starting with Exchange Server 2010 SP1 and Exchange Online.

    - #### ERROR_MISSED_NOTIFICATION_EVENTS

          public static final ResponseCode ERROR_MISSED_NOTIFICATION_EVENTS

      This member was introduced in Exchange Server 2010 Service Pack 1 (SP1) and applies to versions of Exchange Server starting with Exchange Server 2010 SP1 and Exchange Online.

    - #### ERROR_DUPLICATE_LEGACY_DISTINGUISHED_NAME

          public static final ResponseCode ERROR_DUPLICATE_LEGACY_DISTINGUISHED_NAME

      ErrorDuplicateLegacyDistinguishedName field is applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.

    - #### ERROR_INVALID_CLIENT_ACCESS_TOKEN_REQUEST

          public static final ResponseCode ERROR_INVALID_CLIENT_ACCESS_TOKEN_REQUEST

      Invalid client access token request. The ErrorInvalidClientAccessTokenRequest field is applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.

    - #### ERROR_NO_SPEECH_DETECTED

          public static final ResponseCode ERROR_NO_SPEECH_DETECTED

    - #### ERROR_UM_SERVER_UNAVAILABLE

          public static final ResponseCode ERROR_UM_SERVER_UNAVAILABLE

    - #### ERROR_RECIPIENT_NOT_FOUND

          public static final ResponseCode ERROR_RECIPIENT_NOT_FOUND

    - #### ERROR_RECOGNIZER_NOT_INSTALLED

          public static final ResponseCode ERROR_RECOGNIZER_NOT_INSTALLED

    - #### ERROR_SPEECH_GRAMMAR_ERROR

          public static final ResponseCode ERROR_SPEECH_GRAMMAR_ERROR

    - #### ERROR_INVALID_MANAGEMENT_ROLE_HEADER

          public static final ResponseCode ERROR_INVALID_MANAGEMENT_ROLE_HEADER

    - #### ERROR_LOCATION_SERVICES_DISABLED

          public static final ResponseCode ERROR_LOCATION_SERVICES_DISABLED

    - #### ERROR_LOCATION_SERVICES_REQUEST_TIMED_OUT

          public static final ResponseCode ERROR_LOCATION_SERVICES_REQUEST_TIMED_OUT

    - #### ERROR_LOCATION_SERVICES_REQUEST_FAILED

          public static final ResponseCode ERROR_LOCATION_SERVICES_REQUEST_FAILED

    - #### ERROR_LOCATION_SERVICES_INVALID_REQUEST

          public static final ResponseCode ERROR_LOCATION_SERVICES_INVALID_REQUEST

    - #### ERROR_MAILBOX_SCOPE_NOT_ALLOWED_WITHOUT_QUERY_STRING

          public static final ResponseCode ERROR_MAILBOX_SCOPE_NOT_ALLOWED_WITHOUT_QUERY_STRING

    - #### ERROR_ARCHIVE_MAILBOX_SEARCH_FAILED

          public static final ResponseCode ERROR_ARCHIVE_MAILBOX_SEARCH_FAILED

    - #### ERROR_INVALID_PHOTO_SIZE

          public static final ResponseCode ERROR_INVALID_PHOTO_SIZE

    - #### ERROR_SEARCH_QUERY_HAS_TOO_MANY_KEYWORDS

          public static final ResponseCode ERROR_SEARCH_QUERY_HAS_TOO_MANY_KEYWORDS

      The associated mailbox search query has too many keywords. The ErrorSearchQueryHasTooManyKeywords field is applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.

    - #### ERROR_SEARCH_TOO_MANY_MAILBOXES

          public static final ResponseCode ERROR_SEARCH_TOO_MANY_MAILBOXES

      The maximum number of mailboxes allowed in a search query has been exceeded. The ErrorSearchTooManyMailboxes field is applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.

    - #### ERROR_INVALID_RETENTION_TAG_NONE

          public static final ResponseCode ERROR_INVALID_RETENTION_TAG_NONE

      There are no retention tags. The ErrorInvalidRetentionTagNone field is applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.

    - #### ERROR_DISCOVERY_SEARCHES_DISABLED

          public static final ResponseCode ERROR_DISCOVERY_SEARCHES_DISABLED

      Discovery searches are disabled. The ErrorDiscoverySearchesDisabled field is applicable for clients that target Exchange Online and versions of Exchange starting with Exchange Server 2013.

  - ### Method Detail

    - #### values

          public static ResponseCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResponseCode c : ResponseCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResponseCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null